(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     15707,        521]
NotebookOptionsPosition[     12273,        409]
NotebookOutlinePosition[     14042,        458]
CellTagsIndexPosition[     13957,        453]
WindowTitle->ConnectedNeighbors - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["Mathematica",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:Obtuse/guide/Obtuse"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["OBTUSE PACLET SYMBOL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Tutorials \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Obtuse Angle Shadowing Networks\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/tutorial/Obtuse Angle Shadowing Networks"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"ConnectionList\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/ConnectionList"], "\<\"ConnectedTo\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/ConnectedTo"], "\<\"ConnectedFrom\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/ConnectedFrom"], "\<\"FriendsList\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/FriendsList"], "\<\"FriendsCountList\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/FriendCountList"], "\<\"FriendsFromList\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/FriendsFromList"], "\<\"FriendsToList\"\>":>
       Documentation`HelpLookup["paclet:Obtuse/ref/FriendsToList"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Obtuse Package\"\>":>
       Documentation`HelpLookup["paclet:Obtuse/guide/ObtusePackage"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Obtuse/ref/ConnectedNeighbors\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["Obtuse/ref/ConnectedNeighbors"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://www.familydahl.se/mathematica/Obtuse/ref/\
ConnectedNeighbors.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://www.familydahl.se/mathematica/", 
             "Obtuse/ref/ConnectedNeighbors", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell[CellGroupData[{

Cell["ConnectedNeighbors", "ObjectName",
 CellID->1224892054],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"ConnectedNeighbors", "[", 
       StyleBox[
        RowBox[{"j", ",", "conlist"}],
        FontFamily->"Times",
        FontSize->12,
        FontSlant->"Italic"], "]"}]], "InlineFormula"],
     "gives a list of numbers for those points which are connected to or from \
point number ",
     StyleBox["j",
      FontSlant->"Italic"],
     " according to the connection list ",
     StyleBox["conlist", "TI"],
     ". "
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}},
 CellID->982511436]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->263179394],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection",
 CellID->21408960],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Obtuse`\>\"", "]"}], ";"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->139566013],

Cell[BoxData[
 RowBox[{"{", "\<\"Interpolation\"\>", "}"}]], "Output",
 ImageSize->{109, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->68840552]
}, Open  ]],

Cell["A connection list :", "Text",
 CellID->334181291],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"conlist1", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"5", "\[Rule]", "3"}], ",", 
    RowBox[{"3", "\[Rule]", "5"}], ",", 
    RowBox[{"4", "\[Rule]", "3"}], ",", 
    RowBox[{"3", "\[Rule]", "4"}], ",", 
    RowBox[{"4", "\[Rule]", "2"}], ",", 
    RowBox[{"2", "\[Rule]", "4"}], ",", 
    RowBox[{"2", "\[Rule]", "1"}], ",", 
    RowBox[{"1", "\[Rule]", "2"}], ",", 
    RowBox[{"1", "\[Rule]", "3"}], ",", 
    RowBox[{"5", "\[Rule]", "1"}]}], "}"}]}]], "Input",
 CellLabel->"In[2]:=",
 CellID->170026918],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"5", "\[Rule]", "3"}], ",", 
   RowBox[{"3", "\[Rule]", "5"}], ",", 
   RowBox[{"4", "\[Rule]", "3"}], ",", 
   RowBox[{"3", "\[Rule]", "4"}], ",", 
   RowBox[{"4", "\[Rule]", "2"}], ",", 
   RowBox[{"2", "\[Rule]", "4"}], ",", 
   RowBox[{"2", "\[Rule]", "1"}], ",", 
   RowBox[{"1", "\[Rule]", "2"}], ",", 
   RowBox[{"1", "\[Rule]", "3"}], ",", 
   RowBox[{"5", "\[Rule]", "1"}]}], "}"}]], "Output",
 ImageSize->{427, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->571638708]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ConnectedNeighbors", "[", 
  RowBox[{"1", ",", "conlist1"}], "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->353299140],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"2", ",", "3", ",", "5"}], "}"}]], "Output",
 ImageSize->{61, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->340325692]
}, Open  ]],

Cell["This should give the same:", "Text",
 CellID->875238242],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Union", "[", 
  RowBox[{
   RowBox[{"ConnectedFrom", "[", 
    RowBox[{"1", ",", "conlist1"}], "]"}], ",", 
   RowBox[{"ConnectedTo", "[", 
    RowBox[{"1", ",", "conlist1"}], "]"}]}], "]"}]], "Input",
 CellLabel->"In[4]:=",
 CellID->228506471],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"2", ",", "3", ",", "5"}], "}"}]], "Output",
 ImageSize->{61, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->533819485]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SEE ALSO",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "SeeAlsoSection",
 CellID->1255426704],

Cell[TextData[{
 Cell[BoxData[
  StyleBox[
   ButtonBox["ConnectionList",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/ConnectionList"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["ConnectedTo",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/ConnectedTo"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["ConnectedFrom",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/ConnectedFrom"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["FriendsList",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/FriendsList"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["FriendsCountList",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/FriendCountList"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["FriendsFromList",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/FriendsFromList"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["FriendsToList",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/FriendsToList"],
   FontFamily->"Verdana"]], "InlineFormula"]
}], "SeeAlso",
 CellID->929782353]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["TUTORIALS",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "TutorialsSection",
 CellID->250839057],

Cell[TextData[ButtonBox["Obtuse Angle Shadowing Networks",
 BaseStyle->"Link",
 ButtonData->
  "paclet:Obtuse/tutorial/Obtuse Angle Shadowing Networks"]], "Tutorials",
 CellID->341631938]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["MORE ABOUT",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "MoreAboutSection",
 CellID->38303248],

Cell[TextData[ButtonBox["Obtuse Package",
 BaseStyle->"Link",
 ButtonData->"paclet:Obtuse/guide/ObtusePackage"]], "MoreAbout",
 CellID->63179681]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"ConnectedNeighbors - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2010, 5, 20, 23, 18, 24.7092954}", "context" -> "Obtuse`", 
    "keywords" -> {
     "Obtuse Angle Shadowing", "Obtuse Angle", "Distance matrix", 
      "Connected Points", "Network", "Neighbors"}, "index" -> True, "label" -> 
    "Obtuse Paclet Symbol", "language" -> "en", "paclet" -> "Obtuse", 
    "status" -> "None", "summary" -> 
    "ConnectedNeighbors[j, conlist]gives a list of numbers for those points \
which are connected to or from point number j according to the connection \
list conlist. ", "synonyms" -> {}, "title" -> "ConnectedNeighbors", "type" -> 
    "Symbol", "uri" -> "Obtuse/ref/ConnectedNeighbors"}, 
  "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> "7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
   StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[5293, 147, 461, 13, 45, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->263179394]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 13814, 446}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[599, 21, 76, 1, 3, "SymbolColorBar"],
Cell[678, 24, 178, 5, 19, "LinkTrail"],
Cell[859, 31, 3628, 82, 46, "AnchorBarGrid",
 CellID->1],
Cell[CellGroupData[{
Cell[4512, 117, 61, 1, 51, "ObjectName",
 CellID->1224892054],
Cell[4576, 120, 680, 22, 84, "Usage",
 CellID->982511436]
}, Open  ]],
Cell[CellGroupData[{
Cell[5293, 147, 461, 13, 45, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->263179394],
Cell[CellGroupData[{
Cell[5779, 164, 147, 5, 31, "ExampleSection",
 CellID->21408960],
Cell[CellGroupData[{
Cell[5951, 173, 133, 4, 28, "Input",
 CellID->139566013],
Cell[6087, 179, 200, 6, 36, "Output",
 CellID->68840552]
}, Open  ]],
Cell[6302, 188, 55, 1, 30, "Text",
 CellID->334181291],
Cell[CellGroupData[{
Cell[6382, 193, 536, 15, 28, "Input",
 CellID->170026918],
Cell[6921, 210, 584, 17, 36, "Output",
 CellID->571638708]
}, Open  ]],
Cell[CellGroupData[{
Cell[7542, 232, 144, 4, 28, "Input",
 CellID->353299140],
Cell[7689, 238, 213, 7, 36, "Output",
 CellID->340325692]
}, Open  ]],
Cell[7917, 248, 62, 1, 30, "Text",
 CellID->875238242],
Cell[CellGroupData[{
Cell[8004, 253, 268, 8, 28, "Input",
 CellID->228506471],
Cell[8275, 263, 213, 7, 36, "Output",
 CellID->533819485]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[8549, 277, 417, 12, 45, "SeeAlsoSection",
 CellID->1255426704],
Cell[8969, 291, 2012, 68, 31, "SeeAlso",
 CellID->929782353]
}, Open  ]],
Cell[CellGroupData[{
Cell[11018, 364, 419, 12, 45, "TutorialsSection",
 CellID->250839057],
Cell[11440, 378, 187, 4, 70, "Tutorials",
 CellID->341631938]
}, Open  ]],
Cell[CellGroupData[{
Cell[11664, 387, 419, 12, 70, "MoreAboutSection",
 CellID->38303248],
Cell[12086, 401, 145, 3, 70, "MoreAbout",
 CellID->63179681]
}, Open  ]],
Cell[12246, 407, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)

