(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     17498,        567]
NotebookOptionsPosition[     14058,        459]
NotebookOutlinePosition[     15977,        510]
CellTagsIndexPosition[     15892,        505]
WindowTitle->FriendsFromList - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["Mathematica",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:Obtuse/guide/Obtuse"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["OBTUSE PACLET SYMBOL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Tutorials \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Obtuse Angle Shadowing Networks\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/tutorial/Obtuse Angle Shadowing Networks"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"ConnectionList\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/ConnectionList"], "\<\"ConnectedFrom\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/ConnectedFrom"], "\<\"ConnectedTo\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/ConnectedTo"], "\<\"ConnectedNeighbors\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/ConnectedNeighbors"], "\<\"ConnectionList\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/ConnectionList"], "\<\"FriendsCountList\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/FriendCountList"], "\<\"FriendsList\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/FriendsList"], "\<\"FriendsToList\"\>":>
       Documentation`HelpLookup["paclet:Obtuse/ref/FriendsToList"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Obtuse Package\"\>":>
       Documentation`HelpLookup["paclet:Obtuse/guide/ObtusePackage"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Obtuse/ref/FriendsFromList\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["Obtuse/ref/FriendsFromList"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://www.familydahl.se/mathematica/Obtuse/ref/\
FriendsFromList.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://www.familydahl.se/mathematica/", 
             "Obtuse/ref/FriendsFromList", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell[CellGroupData[{

Cell["FriendsFromList", "ObjectName",
 CellID->1224892054],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"FriendsFromList", "[", 
       StyleBox["conlist", "TI",
        FontSlant->"Italic"], "]"}]]],
     " gives a list of list of numbers. \nThe sublist",
     Cell[BoxData[
      RowBox[{" ", 
       RowBox[{
        RowBox[{"FriendsFromList", "[", 
         StyleBox["conlist", "TI",
          FontSlant->"Italic"], "]"}], "\[LeftDoubleBracket]", 
        StyleBox["j", "TI",
         FontSlant->"Italic"], "\[RightDoubleBracket]"}]}]]],
     " contains the numbers for those points which are connected from point \
number ",
     StyleBox["j", "TI",
      FontSlant->"Italic"],
     " according to the connection list ",
     StyleBox["conlist", "TI",
      FontSlant->"Italic"],
     ". \nThus ",
     Cell[BoxData[
      RowBox[{
       RowBox[{"FriendsFromList", "[", 
        StyleBox["conlist", "TI",
         FontSlant->"Italic"], "]"}], "\[LeftDoubleBracket]", 
       StyleBox["j", "TI",
        FontSlant->"Italic"], "\[RightDoubleBracket]"}]]],
     " should be give the same result as ",
     Cell[BoxData[
      RowBox[{
       ButtonBox["ConnectedFrom",
        BaseStyle->"Link",
        ButtonData->"paclet:Obtuse/ref/ConnectedFrom"], "[", 
       StyleBox[
        RowBox[{
         StyleBox["j",
          FontSlant->"Italic"], ",", 
         StyleBox["conlist",
          FontSlant->"Italic"]}], "TI"], "]"}]]],
     "."
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}},
 CellID->982511436]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->12031204],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection",
 CellID->406443607],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Obtuse`\>\"", "]"}], ";"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->139566013],

Cell["A connection list :", "Text",
 CellID->334181291],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"conlist1", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"5", "\[Rule]", "3"}], ",", 
    RowBox[{"3", "\[Rule]", "5"}], ",", 
    RowBox[{"4", "\[Rule]", "3"}], ",", 
    RowBox[{"3", "\[Rule]", "4"}], ",", 
    RowBox[{"4", "\[Rule]", "2"}], ",", 
    RowBox[{"2", "\[Rule]", "4"}], ",", 
    RowBox[{"2", "\[Rule]", "1"}], ",", 
    RowBox[{"1", "\[Rule]", "2"}], ",", 
    RowBox[{"1", "\[Rule]", "3"}], ",", 
    RowBox[{"5", "\[Rule]", "1"}]}], "}"}]}]], "Input",
 CellLabel->"In[2]:=",
 CellID->170026918],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"5", "\[Rule]", "3"}], ",", 
   RowBox[{"3", "\[Rule]", "5"}], ",", 
   RowBox[{"4", "\[Rule]", "3"}], ",", 
   RowBox[{"3", "\[Rule]", "4"}], ",", 
   RowBox[{"4", "\[Rule]", "2"}], ",", 
   RowBox[{"2", "\[Rule]", "4"}], ",", 
   RowBox[{"2", "\[Rule]", "1"}], ",", 
   RowBox[{"1", "\[Rule]", "2"}], ",", 
   RowBox[{"1", "\[Rule]", "3"}], ",", 
   RowBox[{"5", "\[Rule]", "1"}]}], "}"}]], "Output",
 ImageSize->{427, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->2331790]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FriendsFromList", "[", "conlist1", "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->353299140],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"2", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "3"}], "}"}]}], "}"}]], "Output",
 ImageSize->{257, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->226730066]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"ConnectedFrom", "[", 
    RowBox[{"1", ",", " ", "conlist1"}], "]"}], ",", 
   RowBox[{"ConnectedFrom", "[", 
    RowBox[{"2", ",", " ", "conlist1"}], "]"}], ",", 
   RowBox[{"ConnectedFrom", "[", 
    RowBox[{"3", ",", " ", "conlist1"}], "]"}], ",", 
   RowBox[{"ConnectedFrom", "[", 
    RowBox[{"4", ",", " ", "conlist1"}], "]"}], ",", 
   RowBox[{"ConnectedFrom", "[", 
    RowBox[{"5", ",", " ", "conlist1"}], "]"}]}], "}"}]], "Input",
 CellLabel->"In[4]:=",
 CellID->30814964],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"2", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "3"}], "}"}]}], "}"}]], "Output",
 ImageSize->{257, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->285599750]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SEE ALSO",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "SeeAlsoSection",
 CellID->1255426704],

Cell[TextData[{
 Cell[BoxData[
  StyleBox[
   ButtonBox["ConnectionList",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/ConnectionList"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["ConnectedFrom",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/ConnectedFrom"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["ConnectedTo",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/ConnectedTo"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["ConnectedNeighbors",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/ConnectedNeighbors"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["ConnectionList",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/ConnectionList"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["FriendsCountList",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/FriendCountList"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["FriendsList",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/FriendsList"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["FriendsToList",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/FriendsToList"],
   FontFamily->"Verdana"]], "InlineFormula"]
}], "SeeAlso",
 CellID->929782353]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["TUTORIALS",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "TutorialsSection",
 CellID->250839057],

Cell[TextData[ButtonBox["Obtuse Angle Shadowing Networks",
 BaseStyle->"Link",
 ButtonData->
  "paclet:Obtuse/tutorial/Obtuse Angle Shadowing Networks"]], "Tutorials",
 CellID->341631938]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["MORE ABOUT",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "MoreAboutSection",
 CellID->38303248],

Cell[TextData[ButtonBox["Obtuse Package",
 BaseStyle->"Link",
 ButtonData->"paclet:Obtuse/guide/ObtusePackage"]], "MoreAbout",
 CellID->3084472]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"FriendsFromList - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2010, 5, 20, 23, 18, 40.1493170}", "context" -> "Obtuse`", 
    "keywords" -> {
     "Obtuse Angle Shadowing", "Obtuse Angle", "Distance matrix", 
      "Connected Points", "Network", "Neighbors"}, "index" -> True, "label" -> 
    "Obtuse Paclet Symbol", "language" -> "en", "paclet" -> "Obtuse", 
    "status" -> "None", "summary" -> 
    "FriendsFromList[conlist] gives a list of list of numbers. The sublist \
FriendsFromList[conlist][[j]] contains the numbers for those points which are \
connected from point number j according to the connection list conlist. Thus \
FriendsFromList[conlist][[j]] should be give the same result as \
ConnectedFrom[j, conlist].", "synonyms" -> {}, "title" -> "FriendsFromList", 
    "type" -> "Symbol", "uri" -> "Obtuse/ref/FriendsFromList"}, 
  "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> "7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
   StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[6306, 176, 460, 13, 45, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->12031204]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 15750, 498}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[596, 21, 76, 1, 3, "SymbolColorBar"],
Cell[675, 24, 178, 5, 19, "LinkTrail"],
Cell[856, 31, 3726, 84, 46, "AnchorBarGrid",
 CellID->1],
Cell[CellGroupData[{
Cell[4607, 119, 58, 1, 51, "ObjectName",
 CellID->1224892054],
Cell[4668, 122, 1601, 49, 131, "Usage",
 CellID->982511436]
}, Open  ]],
Cell[CellGroupData[{
Cell[6306, 176, 460, 13, 45, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->12031204],
Cell[CellGroupData[{
Cell[6791, 193, 148, 5, 31, "ExampleSection",
 CellID->406443607],
Cell[6942, 200, 133, 4, 28, "Input",
 CellID->139566013],
Cell[7078, 206, 55, 1, 30, "Text",
 CellID->334181291],
Cell[CellGroupData[{
Cell[7158, 211, 536, 15, 28, "Input",
 CellID->170026918],
Cell[7697, 228, 582, 17, 36, "Output",
 CellID->2331790]
}, Open  ]],
Cell[CellGroupData[{
Cell[8316, 250, 118, 3, 28, "Input",
 CellID->353299140],
Cell[8437, 255, 479, 17, 36, "Output",
 CellID->226730066]
}, Open  ]],
Cell[CellGroupData[{
Cell[8953, 277, 534, 14, 65, "Input",
 CellID->30814964],
Cell[9490, 293, 479, 17, 36, "Output",
 CellID->285599750]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[10030, 317, 417, 12, 45, "SeeAlsoSection",
 CellID->1255426704],
Cell[10450, 331, 2317, 78, 31, "SeeAlso",
 CellID->929782353]
}, Open  ]],
Cell[CellGroupData[{
Cell[12804, 414, 419, 12, 45, "TutorialsSection",
 CellID->250839057],
Cell[13226, 428, 187, 4, 70, "Tutorials",
 CellID->341631938]
}, Open  ]],
Cell[CellGroupData[{
Cell[13450, 437, 419, 12, 70, "MoreAboutSection",
 CellID->38303248],
Cell[13872, 451, 144, 3, 70, "MoreAbout",
 CellID->3084472]
}, Open  ]],
Cell[14031, 457, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)

