(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     17031,        555]
NotebookOptionsPosition[     13602,        447]
NotebookOutlinePosition[     15505,        498]
CellTagsIndexPosition[     15420,        493]
WindowTitle->FriendsList - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["Mathematica",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:Obtuse/guide/Obtuse"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["OBTUSE PACLET SYMBOL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Tutorials \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Obtuse Angle Shadowing Networks\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/tutorial/Obtuse Angle Shadowing Networks"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"ConnectionList\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/ConnectionList"], "\<\"ConnectedFrom\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/ConnectedFrom"], "\<\"ConnectedTo\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/ConnectedTo"], "\<\"ConnectedNeighbors\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/ConnectedNeighbors"], "\<\"FriendsCountList\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/FriendCountList"], "\<\"FriendsFromList\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/FriendsFromList"], "\<\"FriendsToList\"\>":>
       Documentation`HelpLookup["paclet:Obtuse/ref/FriendsToList"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Obtuse Package\"\>":>
       Documentation`HelpLookup["paclet:Obtuse/guide/ObtusePackage"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Obtuse/ref/FriendsList\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["Obtuse/ref/FriendsList"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://www.familydahl.se/mathematica/Obtuse/ref/FriendsList.\
html"], StandardForm]], "Input", TextClipboardType -> "PlainText"]}, Visible -> 
            False]]; SelectionMove[
         DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://www.familydahl.se/mathematica/", "Obtuse/ref/FriendsList",
              ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell[CellGroupData[{

Cell["FriendsList", "ObjectName",
 CellID->1224892054],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"FriendsList", "[", 
       StyleBox["conlist", "TI",
        FontSlant->"Italic"], "]"}]]],
     " gives a list of list of numbers. Sublist ",
     Cell[BoxData[
      RowBox[{
       RowBox[{
        StyleBox["FriendsList", "InlineCode"], 
        StyleBox["[", "InlineCode"], 
        StyleBox["conlist", "TI"], 
        StyleBox["]", "InlineCode"]}], 
       StyleBox["\[LeftDoubleBracket]", "InlineCode"], 
       StyleBox["j", "TI",
        FontSlant->"Italic"], 
       StyleBox["\[RightDoubleBracket]", "InlineCode"]}]]],
     " contains the numbers for those points which are connected to or from \
point number",
     StyleBox[" ", "TI"],
     StyleBox["j", "TI",
      FontFamily->"Times",
      FontSize->11,
      FontWeight->"Plain",
      FontSlant->"Italic"],
     " according to the connection list ",
     StyleBox["conlist", "TI",
      FontSlant->"Italic"],
     ". Thus ",
     Cell[BoxData[
      RowBox[{
       RowBox[{
        StyleBox["FriendsList", "InlineCode"], 
        StyleBox["[", "InlineCode"], 
        StyleBox["conlist", "TI",
         FontSlant->"Italic"], 
        StyleBox["]", "InlineCode"]}], 
       StyleBox["\[LeftDoubleBracket]", "InlineCode"], 
       StyleBox["j", "TI",
        FontSlant->"Italic"], 
       StyleBox["\[RightDoubleBracket]", "InlineCode"]}]]],
     " should be give the same result as ",
     Cell[BoxData[
      RowBox[{
       ButtonBox["ConnectedNeighbors",
        BaseStyle->"Link",
        ButtonData->"paclet:Obtuse/ref/ConnectedNeighbors"], "[", 
       StyleBox[
        RowBox[{
         StyleBox["j",
          FontSlant->"Italic"], ",", 
         StyleBox["conlist",
          FontSlant->"Italic"]}], "TI"], "]"}]]],
     "."
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}},
 CellID->982511436]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->216322650],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection",
 CellID->208174320],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Obtuse`\>\"", "]"}], ";"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->139566013],

Cell["A connection list :", "Text",
 CellID->334181291],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"conlist1", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"3", "\[Rule]", "5"}], ",", 
    RowBox[{"3", "\[Rule]", "4"}], ",", 
    RowBox[{"2", "\[Rule]", "4"}], ",", 
    RowBox[{"1", "\[Rule]", "2"}], ",", 
    RowBox[{"1", "\[Rule]", "3"}]}], "}"}]}]], "Input",
 CellLabel->"In[2]:=",
 CellID->170026918],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"3", "\[Rule]", "5"}], ",", 
   RowBox[{"3", "\[Rule]", "4"}], ",", 
   RowBox[{"2", "\[Rule]", "4"}], ",", 
   RowBox[{"1", "\[Rule]", "2"}], ",", 
   RowBox[{"1", "\[Rule]", "3"}]}], "}"}]], "Output",
 ImageSize->{217, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->210233134]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FriendsList", "[", "conlist1", "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->353299140],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"2", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "4", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "3"}], "}"}], ",", 
   RowBox[{"{", "3", "}"}]}], "}"}]], "Output",
 ImageSize->{257, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->178462708]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"ConnectedNeighbors", "[", 
    RowBox[{"1", ",", " ", "conlist1"}], "]"}], ",", 
   RowBox[{"ConnectedNeighbors", "[", 
    RowBox[{"2", ",", " ", "conlist1"}], "]"}], ",", 
   RowBox[{"ConnectedNeighbors", "[", 
    RowBox[{"3", ",", " ", "conlist1"}], "]"}], ",", 
   RowBox[{"ConnectedNeighbors", "[", 
    RowBox[{"4", ",", " ", "conlist1"}], "]"}], ",", 
   RowBox[{"ConnectedNeighbors", "[", 
    RowBox[{"5", ",", " ", "conlist1"}], "]"}]}], "}"}]], "Input",
 CellLabel->"In[4]:=",
 CellID->120647929],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"2", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "4", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "3"}], "}"}], ",", 
   RowBox[{"{", "3", "}"}]}], "}"}]], "Output",
 ImageSize->{257, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->676505093]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SEE ALSO",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "SeeAlsoSection",
 CellID->1255426704],

Cell[TextData[{
 Cell[BoxData[
  StyleBox[
   ButtonBox["ConnectionList",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/ConnectionList"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["ConnectedFrom",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/ConnectedFrom"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["ConnectedTo",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/ConnectedTo"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["ConnectedNeighbors",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/ConnectedNeighbors"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["FriendsCountList",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/FriendCountList"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["FriendsFromList",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/FriendsFromList"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["FriendsToList",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/FriendsToList"],
   FontFamily->"Verdana"]], "InlineFormula"]
}], "SeeAlso",
 CellID->929782353]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["TUTORIALS",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "TutorialsSection",
 CellID->250839057],

Cell[TextData[ButtonBox["Obtuse Angle Shadowing Networks",
 BaseStyle->"Link",
 ButtonData->
  "paclet:Obtuse/tutorial/Obtuse Angle Shadowing Networks"]], "Tutorials",
 CellID->341631938]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["MORE ABOUT",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "MoreAboutSection",
 CellID->38303248],

Cell[TextData[ButtonBox["Obtuse Package",
 BaseStyle->"Link",
 ButtonData->"paclet:Obtuse/guide/ObtusePackage"]], "MoreAbout",
 CellID->120717319]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"FriendsList - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2010, 5, 20, 23, 18, 41.2793186}", "context" -> "Obtuse`", 
    "keywords" -> {
     "Obtuse Angle Shadowing", "Obtuse Angle", "Distance matrix", 
      "Connected Points", "Network", "Neighbors"}, "index" -> True, "label" -> 
    "Obtuse Paclet Symbol", "language" -> "en", "paclet" -> "Obtuse", 
    "status" -> "None", "summary" -> 
    "FriendsList[conlist] gives a list of list of numbers. Sublist \
FriendsList[conlist][[j]] contains the numbers for those points which are \
connected to or from point number j according to the connection list conlist. \
Thus FriendsList[conlist][[j]] should be give the same result as \
ConnectedNeighbors[j, conlist].", "synonyms" -> {}, "title" -> "FriendsList", 
    "type" -> "Symbol", "uri" -> "Obtuse/ref/FriendsList"}, 
  "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> "7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
   StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[6549, 186, 461, 13, 45, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->216322650]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 15277, 486}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[592, 21, 76, 1, 3, "SymbolColorBar"],
Cell[671, 24, 178, 5, 19, "LinkTrail"],
Cell[852, 31, 3613, 82, 46, "AnchorBarGrid",
 CellID->1],
Cell[CellGroupData[{
Cell[4490, 117, 54, 1, 51, "ObjectName",
 CellID->1224892054],
Cell[4547, 120, 1965, 61, 113, "Usage",
 CellID->982511436]
}, Open  ]],
Cell[CellGroupData[{
Cell[6549, 186, 461, 13, 45, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->216322650],
Cell[CellGroupData[{
Cell[7035, 203, 148, 5, 31, "ExampleSection",
 CellID->208174320],
Cell[7186, 210, 133, 4, 28, "Input",
 CellID->139566013],
Cell[7322, 216, 55, 1, 30, "Text",
 CellID->334181291],
Cell[CellGroupData[{
Cell[7402, 221, 331, 10, 28, "Input",
 CellID->170026918],
Cell[7736, 233, 384, 12, 36, "Output",
 CellID->210233134]
}, Open  ]],
Cell[CellGroupData[{
Cell[8157, 250, 114, 3, 28, "Input",
 CellID->353299140],
Cell[8274, 255, 464, 16, 36, "Output",
 CellID->178462708]
}, Open  ]],
Cell[CellGroupData[{
Cell[8775, 276, 560, 14, 65, "Input",
 CellID->120647929],
Cell[9338, 292, 464, 16, 36, "Output",
 CellID->676505093]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[9863, 315, 417, 12, 45, "SeeAlsoSection",
 CellID->1255426704],
Cell[10283, 329, 2026, 68, 31, "SeeAlso",
 CellID->929782353]
}, Open  ]],
Cell[CellGroupData[{
Cell[12346, 402, 419, 12, 45, "TutorialsSection",
 CellID->250839057],
Cell[12768, 416, 187, 4, 70, "Tutorials",
 CellID->341631938]
}, Open  ]],
Cell[CellGroupData[{
Cell[12992, 425, 419, 12, 70, "MoreAboutSection",
 CellID->38303248],
Cell[13414, 439, 146, 3, 70, "MoreAbout",
 CellID->120717319]
}, Open  ]],
Cell[13575, 445, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)

