(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     16108,        541]
NotebookOptionsPosition[     12425,        426]
NotebookOutlinePosition[     14193,        473]
CellTagsIndexPosition[     14108,        468]
WindowTitle->RadialBasisFunction - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["Mathematica",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:Obtuse/guide/Obtuse"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["OBTUSE PACLET SYMBOL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Tutorials \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Scattered Point Interpolation\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/tutorial/Scattered Point Interpolation"], \
"\<\"Interpolation interactive demo\"\>":>Documentation`HelpLookup[
       "paclet:Obtuse/tutorial/Interpolation interactive demo"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Interpolation, Method -> \\\"RBF\\\"\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/InterpolationMethodRBF"], "\<\"Interpolation\"\>":>
       Documentation`HelpLookup["paclet:ref/Interpolation"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Obtuse Package\"\>":>
       Documentation`HelpLookup["paclet:Obtuse/guide/ObtusePackage"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Obtuse/ref/RadialBasisFunction\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["Obtuse/ref/RadialBasisFunction"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://www.familydahl.se/mathematica/Obtuse/ref/\
RadialBasisFunction.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://www.familydahl.se/mathematica/", 
             "Obtuse/ref/RadialBasisFunction", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell[CellGroupData[{

Cell["RadialBasisFunction", "ObjectName",
 CellID->1224892054],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData["RadialBasisFunction"]],
     " is an option to Interpolation when Method \[Rule] \"RBF\" is \
specified. The value Automatic is default. Automatic means \"multiquadric\" \
function ",
     Cell[BoxData[
      SqrtBox[
       RowBox[{
        SuperscriptBox["r", "2"], "+", 
        SuperscriptBox["r0", "2"]}]]]],
     " with ",
     Cell[BoxData["r0"]],
     " as half the median value of all the off-diagonal distances between the \
control points."
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}},
 CellID->982511436]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[
  FrameBox[
   StyleBox[
    RowBox[{"MORE", " ", "INFORMATION"}], "NotesFrameText"],
   StripOnInput->False],
  Appearance->{Automatic, None},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->"Preemptive"]]]], "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->507861215],

Cell["\<\
Note, that the distance function in the code is expected to return the square \
of the distance. Therefore, the automatic radial basis function is defined as \
\>", "Notes",
 CellID->1067943069],

Cell["\<\
r02=Median[Flatten[Table[Drop[distmat[[i]], {i}], {i, Length[pts]}]]]; \
radbasfunc=((Sqrt[#+r02/4])&);\
\>", "Notes",
 CellID->263353363],

Cell["\<\
where r02 represents the median of the squared distances between the control \
points.\
\>", "Notes",
 CellID->46045962],

Cell["Other possible radial basis functions could be:", "Notes",
 CellID->700333288],

Cell[TextData[{
 StyleBox["Inverse multiquadric",
  FontWeight->"Bold"],
 " ",
 Cell[BoxData[
  FractionBox["1", 
   SqrtBox[
    RowBox[{
     SuperscriptBox["r", "2"], "+", 
     SuperscriptBox["r0", "2"]}]]]]],
 ", coded as "
}], "Notes",
 CellID->485988774],

Cell[BoxData[
 RowBox[{"RadialBasisFunction", "\[Rule]", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "/", 
      RowBox[{"Sqrt", "[", 
       RowBox[{"#", "+", 
        RowBox[{"r0", "^", "2"}]}], "]"}]}], ")"}], "&"}], ")"}]}]], "Notes",
 CellID->61255114],

Cell[TextData[{
 StyleBox["Thin plate spline",
  FontWeight->"Bold"],
 " ",
 Cell[BoxData[
  RowBox[{
   SuperscriptBox["r", "2"], " ", 
   RowBox[{"Log", "[", 
    FractionBox["r", "r0"], "]"}]}]]],
 ", coded as "
}], "Notes",
 CellID->4777485],

Cell[BoxData[
 RowBox[{"RadialBasisFunction", "\[Rule]", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"#", "\[Equal]", "0"}], ",", "0.", ",", 
      RowBox[{"#", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"Log", "[", "#", "]"}], "/", "2"}], "-", 
         RowBox[{"Log", "[", "r0", "]"}]}], ")"}]}]}], "]"}], "&"}], 
   ")"}]}]], "Notes",
 CellID->51281685],

Cell[TextData[{
 StyleBox["Gaussian",
  FontWeight->"Bold"],
 " ",
 Cell[BoxData[
  RowBox[{"Exp", "[", 
   RowBox[{"-", 
    FractionBox[
     SuperscriptBox["r", "2"], 
     RowBox[{"2", " ", 
      SuperscriptBox["ro", "2"]}]]}], "]"}]]],
 ", coded as "
}], "Notes",
 CellID->682922971],

Cell[BoxData[
 RowBox[{"RadialBasisFunction", "\[Rule]", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "#"}], "/", 
       RowBox[{"(", 
        RowBox[{"2", 
         RowBox[{"r0", "^", "2"}]}], ")"}]}], "]"}], ")"}], "&"}], 
   ")"}]}]], "Notes",
 CellID->69622431],

Cell[TextData[{
 "For all these choices, you have to specify r0 outside the ",
 Cell[BoxData[
  ButtonBox["Interpolation",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Interpolation"]]],
 " routine. This could be done by"
}], "Notes",
 CellID->379104483],

Cell[BoxData[
 RowBox[{
  RowBox[{"distmat", "=", 
   RowBox[{"DirectedDistanceMatrix", "[", "pts", "]"}]}], ";", 
  RowBox[{"r0", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"Median", "[", 
      RowBox[{"Flatten", "[", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Drop", "[", 
          RowBox[{
           RowBox[{"distmat", "[", 
            RowBox[{"[", "i", "]"}], "]"}], ",", 
           RowBox[{"{", "i", "}"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", 
           RowBox[{"Length", "[", "pts", "]"}]}], "}"}]}], "]"}], "]"}], 
      "]"}], "]"}], "/", "2"}]}]}]], "Input",
 CellLabel->"In[11]:=",
 CellID->493088635]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->358181188],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(0)", "ExampleCount"]
}], "ExampleSection",
 CellID->405930813],

Cell[TextData[{
 "See ",
 Cell[BoxData[
  ButtonBox[
   RowBox[{"Interpolation", ",", " ", 
    RowBox[{"Method", " ", "->", " ", "\"\<RBF\>\""}]}],
   BaseStyle->"Link",
   ButtonData->"paclet:Obtuse/ref/InterpolationMethodRBF"]], "InlineFormula"]
}], "Notes",
 CellID->244254845]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SEE ALSO",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "SeeAlsoSection",
 CellID->1255426704],

Cell[TextData[{
 Cell[BoxData[
  StyleBox[
   ButtonBox[
    RowBox[{"Interpolation", ",", " ", 
     RowBox[{"Method", " ", "->", " ", "\"\<RBF\>\""}]}],
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/InterpolationMethodRBF"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["Interpolation",
    BaseStyle->"Link",
    ButtonData->"paclet:ref/Interpolation"],
   FontFamily->"Verdana"]], "InlineFormula"]
}], "SeeAlso",
 CellID->929782353]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["TUTORIALS",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "TutorialsSection",
 CellID->250839057],

Cell[TextData[ButtonBox["Scattered Point Interpolation",
 BaseStyle->"Link",
 ButtonData->
  "paclet:Obtuse/tutorial/Scattered Point Interpolation"]], "Tutorials",
 CellID->341631938],

Cell[TextData[ButtonBox["Interpolation interactive demo",
 BaseStyle->"Link",
 ButtonData->
  "paclet:Obtuse/tutorial/Interpolation interactive demo"]], "Tutorials",
 CellID->190107302]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["MORE ABOUT",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "MoreAboutSection",
 CellID->38303248],

Cell[TextData[ButtonBox["Obtuse Package",
 BaseStyle->"Link",
 ButtonData->"paclet:Obtuse/guide/ObtusePackage"]], "MoreAbout",
 CellID->70970917]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"RadialBasisFunction - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2010, 5, 24, 20, 42, 10.0295155}", "context" -> "Obtuse`", 
    "keywords" -> {}, "index" -> True, "label" -> "Obtuse Paclet Symbol", 
    "language" -> "en", "paclet" -> "Obtuse", "status" -> "None", "summary" -> 
    "RadialBasisFunction is an option to Interpolation when Method -> \"RBF\" \
is specified. The value Automatic is default. Automatic means \
\"multiquadric\" function Sqrt[r^2 + r0^2] with r0 as half the median value \
of all the off-diagonal distances between the control points.", 
    "synonyms" -> {}, "title" -> "RadialBasisFunction", "type" -> "Symbol", 
    "uri" -> "Obtuse/ref/RadialBasisFunction"}, "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> "7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
   StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[8954, 297, 461, 13, 45, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->358181188]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 13965, 461}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[600, 21, 76, 1, 3, "SymbolColorBar"],
Cell[679, 24, 178, 5, 19, "LinkTrail"],
Cell[860, 31, 3275, 74, 46, "AnchorBarGrid",
 CellID->1],
Cell[CellGroupData[{
Cell[4160, 109, 62, 1, 51, "ObjectName",
 CellID->1224892054],
Cell[4225, 112, 699, 21, 104, "Usage",
 CellID->982511436]
}, Open  ]],
Cell[CellGroupData[{
Cell[4961, 138, 580, 17, 39, "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->507861215],
Cell[5544, 157, 204, 4, 70, "Notes",
 CellID->1067943069],
Cell[5751, 163, 148, 4, 70, "Notes",
 CellID->263353363],
Cell[5902, 169, 130, 4, 70, "Notes",
 CellID->46045962],
Cell[6035, 175, 84, 1, 70, "Notes",
 CellID->700333288],
Cell[6122, 178, 261, 12, 70, "Notes",
 CellID->485988774],
Cell[6386, 192, 278, 9, 70, "Notes",
 CellID->61255114],
Cell[6667, 203, 245, 11, 70, "Notes",
 CellID->4777485],
Cell[6915, 216, 430, 14, 70, "Notes",
 CellID->51281685],
Cell[7348, 232, 289, 13, 70, "Notes",
 CellID->682922971],
Cell[7640, 247, 329, 12, 70, "Notes",
 CellID->69622431],
Cell[7972, 261, 258, 8, 70, "Notes",
 CellID->379104483],
Cell[8233, 271, 684, 21, 70, "Input",
 CellID->493088635]
}, Closed]],
Cell[CellGroupData[{
Cell[8954, 297, 461, 13, 45, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->358181188],
Cell[CellGroupData[{
Cell[9440, 314, 148, 5, 31, "ExampleSection",
 CellID->405930813],
Cell[9591, 321, 281, 9, 31, "Notes",
 CellID->244254845]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[9921, 336, 417, 12, 45, "SeeAlsoSection",
 CellID->1255426704],
Cell[10341, 350, 608, 20, 17, "SeeAlso",
 CellID->929782353]
}, Open  ]],
Cell[CellGroupData[{
Cell[10986, 375, 419, 12, 45, "TutorialsSection",
 CellID->250839057],
Cell[11408, 389, 183, 4, 17, "Tutorials",
 CellID->341631938],
Cell[11594, 395, 185, 4, 17, "Tutorials",
 CellID->190107302]
}, Open  ]],
Cell[CellGroupData[{
Cell[11816, 404, 419, 12, 45, "MoreAboutSection",
 CellID->38303248],
Cell[12238, 418, 145, 3, 17, "MoreAbout",
 CellID->70970917]
}, Open  ]],
Cell[12398, 424, 23, 0, 41, "FooterCell"]
}
]
*)

(* End of internal cache information *)

