(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     52690,       1191]
NotebookOptionsPosition[     48747,       1064]
NotebookOutlinePosition[     50581,       1113]
CellTagsIndexPosition[     50495,       1108]
WindowTitle->ShepardPower - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["Mathematica",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:Obtuse/guide/Obtuse"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["OBTUSE PACKAGE PACLET SYMBOL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Tutorials \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Scattered Point Interpolation\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/tutorial/Scattered Point Interpolation"], \
"\<\"Interpolation interactive demo\"\>":>Documentation`HelpLookup[
       "paclet:Obtuse/tutorial/Interpolation interactive demo"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Interpolation\"\>":>
       Documentation`HelpLookup[
       "paclet:ref/Interpolation"], "\<\"Interpolation, Method -> \\\"Shepard\
\\\"\"\>":>Documentation`HelpLookup[
       "paclet:Obtuse/ref/InterpolationMethodShepard"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Obtuse Package\"\>":>
       Documentation`HelpLookup["paclet:Obtuse/guide/ObtusePackage"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Obtuse/ref/ShepardPower\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["Obtuse/ref/ShepardPower"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://www.familydahl.se/mathematica/Obtuse/ref/ShepardPower.\
html"], StandardForm]], "Input", TextClipboardType -> "PlainText"]}, Visible -> 
            False]]; SelectionMove[
         DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://www.familydahl.se/mathematica/", 
             "Obtuse/ref/ShepardPower", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell[CellGroupData[{

Cell["ShepardPower", "ObjectName",
 CellID->1224892054],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData["ShepardPower"], "InlineFormula"],
     "\[LineSeparator]is an option to ",
     ButtonBox["Interpolation",
      BaseStyle->"Link",
      ButtonData->"paclet:ref/Interpolation"],
     " when ",
     ButtonBox["Method",
      BaseStyle->"Link",
      ButtonData->"paclet:ref/Method"],
     "->\"Shepard\" is specified. The value 6 is default. The weight of each \
control point is proportional to the distance, taken to the inverse ",
     Cell[BoxData[
      ButtonBox["ShepardPower",
       BaseStyle->"Link",
       ButtonData->"paclet:Obtuse/ref/ShepardPower"]], "InlineFormula"],
     " power. If this value is less than the dimension of the point set plus \
one, the distant points will dominate the interpolated value.  \
\[LineSeparator]"
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->73211489],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection",
 CellID->357163650],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Obtuse`\>\"", "]"}], ";"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->139566013],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"cpts", "=", 
  RowBox[{"RandomReal", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
    RowBox[{"{", "10", "}"}]}], "]"}]}]], "Input",
 CellLabel->"In[2]:=",
 CellID->495534299],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1.4722761817588061`", ",", "1.167767741974055`", ",", "1.891263035171466`",
    ",", 
   RowBox[{"-", "2.690668838582102`"}], ",", 
   RowBox[{"-", "2.3076226058783096`"}], ",", "0.0017486331334950478`", ",", 
   RowBox[{"-", "0.93010187488483`"}], ",", 
   RowBox[{"-", "3.91736059812874`"}], ",", 
   RowBox[{"-", "3.7281920842021847`"}], ",", "1.3901559760675326`"}], 
  "}"}]], "Output",
 ImageSize->{360, 33},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->690197812]
}, Open  ]],

Cell["Add function values in the point table: ", "ExampleText",
 Editable->True,
 CellID->43621190],

Cell[BoxData[
 RowBox[{
  RowBox[{"cptab", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"cpts", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", 
       RowBox[{"4", "*", 
        RowBox[{"Sin", "[", 
         RowBox[{"cpts", "[", 
          RowBox[{"[", "i", "]"}], "]"}], "]"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", " ", 
       RowBox[{"Length", "[", "cpts", "]"}]}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->703165722],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Interpolation", "[", 
     RowBox[{"cptab", ",", 
      RowBox[{"Method", "\[Rule]", "\"\<Shepard\>\""}], ",", 
      RowBox[{"ShepardPower", "\[Rule]", "1."}]}], "]"}], "[", "x", "]"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "10"}], ",", "5"}], "}"}]}]}], "]"}]], "Input",
 CellLabel->"In[4]:=",
 CellID->650614681],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJzt3U9rHNeaB2AN80lmPd9AELwwXhgvhAZCFsYbG5qEGexZ2JtkY2+SjQ0i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    "], {{0, 299}, {473, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{473, 299},
  PlotRange->{{0, 473}, {0, 299}}]], "Output",
 ImageSize->{477, 299},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->351093584]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Interpolation", "[", 
     RowBox[{"cptab", ",", 
      RowBox[{"Method", "\[Rule]", "\"\<Shepard\>\""}], ",", 
      RowBox[{"ShepardPower", "\[Rule]", "2"}]}], "]"}], "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "10"}], ",", "5"}], "}"}]}]}], "]"}]], "Input",
 CellLabel->"In[5]:=",
 CellID->477159885],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJzt3c9rU+m/B/Be7l9yl/dfKHz5LsSFuBAviIvSjUJQ7kU3upnZ6EY3CkE3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    "], {{0, 297}, {471, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{471, 297},
  PlotRange->{{0, 471}, {0, 297}}]], "Output",
 ImageSize->{475, 297},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[5]=",
 CellID->859130926]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Interpolation", "[", 
     RowBox[{"cptab", ",", 
      RowBox[{"Method", "\[Rule]", "\"\<Shepard\>\""}], ",", 
      RowBox[{"ShepardPower", "\[Rule]", "3."}]}], "]"}], "[", "x", "]"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "10"}], ",", "5"}], "}"}]}]}], "]"}]], "Input",
 CellLabel->"In[6]:=",
 CellID->530158829],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJzt3c9rFGmcP/Ds7l+y7H8RGOYgHsSDuBCyi3jRpdGLXvQSL3rRi0LQiwGZ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    "], {{0, 344}, {547, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{547, 344},
  PlotRange->{{0, 547}, {0, 344}}]], "Output",
 ImageSize->{551, 344},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[6]=",
 CellID->207409878]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Interpolation", "[", 
     RowBox[{"cptab", ",", 
      RowBox[{"Method", "\[Rule]", "\"\<Shepard\>\""}]}], "]"}], "[", "x", 
    "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "10"}], ",", "5"}], "}"}]}]}], "]"}]], "Input",
 CellLabel->"In[7]:=",
 CellID->26427043],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJzt3U9rVOmeB/AM80rmBcwbCFx6IS6cLMSBphchG4VCN7c33RtlGN3oRqHQ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    "], {{0, 301}, {477, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{477, 301},
  PlotRange->{{0, 477}, {0, 301}}]], "Output",
 ImageSize->{481, 301},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[7]=",
 CellID->1858772]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Interpolation", "[", 
     RowBox[{"cptab", ",", 
      RowBox[{"Method", "\[Rule]", "\"\<Shepard\>\""}], ",", 
      RowBox[{"ShepardPower", "\[Rule]", "6"}]}], "]"}], "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "10"}], ",", "5"}], "}"}]}]}], "]"}]], "Input",
 CellLabel->"In[8]:=",
 CellID->103266162],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJzt3c9rFOmfB/Ds7l+y7H8RGOYgsogHcUFcyOai0OguzFz0ohe96EUh6MWA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    "], {{0, 344}, {547, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{547, 344},
  PlotRange->{{0, 547}, {0, 344}}]], "Output",
 ImageSize->{551, 344},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[8]=",
 CellID->416201227]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SEE ALSO",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "SeeAlsoSection",
 CellID->1255426704],

Cell[TextData[{
 Cell[BoxData[
  StyleBox[
   ButtonBox["Interpolation",
    BaseStyle->"Link",
    ButtonData->"paclet:ref/Interpolation"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox[
    RowBox[{"Interpolation", ",", " ", 
     RowBox[{"Method", " ", "->", " ", "\"\<Shepard\>\""}]}],
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/InterpolationMethodShepard"],
   FontFamily->"Verdana"]], "InlineFormula"]
}], "SeeAlso",
 CellID->929782353]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["TUTORIALS",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "TutorialsSection",
 CellID->250839057],

Cell[TextData[ButtonBox["Scattered Point Interpolation",
 BaseStyle->"Link",
 ButtonData->
  "paclet:Obtuse/tutorial/Scattered Point Interpolation"]], "Tutorials",
 CellID->341631938],

Cell[TextData[ButtonBox["Interpolation interactive demo",
 BaseStyle->"Link",
 ButtonData->
  "paclet:Obtuse/tutorial/Interpolation interactive demo"]], "Tutorials",
 CellID->294894982]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["MORE ABOUT",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "MoreAboutSection",
 CellID->38303248],

Cell[TextData[ButtonBox["Obtuse Package",
 BaseStyle->"Link",
 ButtonData->"paclet:Obtuse/guide/ObtusePackage"]], "MoreAbout",
 CellID->39205272]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"ShepardPower - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2010, 5, 24, 20, 42, 11.2465851}", "context" -> "Obtuse`", 
    "keywords" -> {}, "index" -> True, "label" -> 
    "Obtuse Package Paclet Symbol", "language" -> "en", "paclet" -> 
    "Obtuse Package", "status" -> "None", "summary" -> 
    "ShepardPower is an option to Interpolation when Method->\"Shepard\" is \
specified. The value 6 is default. The weight of each control point is \
proportional to the distance, taken to the inverse ShepardPower power. If \
this value is less than the dimension of the point set plus one, the distant \
points will dominate the interpolated value. ", "synonyms" -> {}, "title" -> 
    "ShepardPower", "type" -> "Symbol", "uri" -> "Obtuse/ref/ShepardPower"}, 
  "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> "7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
   StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[5210, 143, 460, 13, 45, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->73211489]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 50353, 1101}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[593, 21, 76, 1, 3, "SymbolColorBar"],
Cell[672, 24, 178, 5, 19, "LinkTrail"],
Cell[853, 31, 3264, 75, 46, "AnchorBarGrid",
 CellID->1],
Cell[CellGroupData[{
Cell[4142, 110, 55, 1, 51, "ObjectName",
 CellID->1224892054],
Cell[4200, 113, 973, 25, 141, "Usage"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5210, 143, 460, 13, 45, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->73211489],
Cell[CellGroupData[{
Cell[5695, 160, 148, 5, 31, "ExampleSection",
 CellID->357163650],
Cell[5846, 167, 133, 4, 28, "Input",
 CellID->139566013],
Cell[CellGroupData[{
Cell[6004, 175, 255, 9, 28, "Input",
 CellID->495534299],
Cell[6262, 186, 565, 15, 54, "Output",
 CellID->690197812]
}, Open  ]],
Cell[6842, 204, 99, 2, 32, "ExampleText",
 CellID->43621190],
Cell[6944, 208, 525, 18, 28, "Input",
 CellID->703165722],
Cell[CellGroupData[{
Cell[7494, 230, 539, 17, 47, "Input",
 CellID->650614681],
Cell[8036, 249, 7096, 124, 320, "Output",
 CellID->351093584]
}, Open  ]],
Cell[CellGroupData[{
Cell[15169, 378, 534, 16, 70, "Input",
 CellID->477159885],
Cell[15706, 396, 6856, 120, 70, "Output",
 CellID->859130926]
}, Open  ]],
Cell[CellGroupData[{
Cell[22599, 521, 539, 17, 70, "Input",
 CellID->530158829],
Cell[23141, 540, 8161, 141, 70, "Output",
 CellID->207409878]
}, Open  ]],
Cell[CellGroupData[{
Cell[31339, 686, 484, 16, 70, "Input",
 CellID->26427043],
Cell[31826, 704, 6455, 113, 70, "Output",
 CellID->1858772]
}, Open  ]],
Cell[CellGroupData[{
Cell[38318, 822, 534, 16, 70, "Input",
 CellID->103266162],
Cell[38855, 840, 7319, 127, 70, "Output",
 CellID->416201227]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[46235, 974, 417, 12, 70, "SeeAlsoSection",
 CellID->1255426704],
Cell[46655, 988, 616, 20, 70, "SeeAlso",
 CellID->929782353]
}, Open  ]],
Cell[CellGroupData[{
Cell[47308, 1013, 419, 12, 70, "TutorialsSection",
 CellID->250839057],
Cell[47730, 1027, 183, 4, 70, "Tutorials",
 CellID->341631938],
Cell[47916, 1033, 185, 4, 70, "Tutorials",
 CellID->294894982]
}, Open  ]],
Cell[CellGroupData[{
Cell[48138, 1042, 419, 12, 70, "MoreAboutSection",
 CellID->38303248],
Cell[48560, 1056, 145, 3, 70, "MoreAbout",
 CellID->39205272]
}, Open  ]],
Cell[48720, 1062, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)

