(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     17820,        558]
NotebookOptionsPosition[     14426,        454]
NotebookOutlinePosition[     16324,        503]
CellTagsIndexPosition[     16239,        498]
WindowTitle->Type - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["Mathematica",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:Obtuse/guide/Obtuse"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["OBTUSE PACLET SYMBOL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Tutorials \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Obtuse Angle Shadowing Networks\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/tutorial/Obtuse Angle Shadowing Networks"], \
"\<\"Scattered Point Interpolation\"\>":>Documentation`HelpLookup[
       "paclet:Obtuse/tutorial/Scattered Point Interpolation"], \
"\<\"Interpolation interactive demo\"\>":>Documentation`HelpLookup[
       "paclet:Obtuse/tutorial/Interpolation interactive demo"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"ConnectionList\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/ConnectionList"], "\<\"ConnectionsToExclude\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/ConnectionsToExclude"], "\<\"CutoffRadius\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/CutoffRadius"], "\<\"CutoffValue\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/CutoffValue"], "\<\"NeighborLevel\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/NeighborLevel"], "\<\"SmoothenDistance\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/SmoothenDistance"], "\<\"Interpolation, Method -> \
\\\"ObtuseAngle\\\"\"\>":>Documentation`HelpLookup[
       "paclet:Obtuse/ref/InterpolationMethodObtuseAngle"], \
"\<\"DirectedDistanceMatrix\"\>":>Documentation`HelpLookup[
       "paclet:Obtuse/ref/DirectedDistanceMatrix"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Obtuse Package\"\>":>
       Documentation`HelpLookup["paclet:Obtuse/guide/ObtusePackage"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Obtuse/ref/Type\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["Obtuse/ref/Type"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://www.familydahl.se/mathematica/Obtuse/ref/Type.html"], 
                StandardForm]], "Input", TextClipboardType -> "PlainText"]}, 
            Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://www.familydahl.se/mathematica/", "Obtuse/ref/Type", 
             ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell[CellGroupData[{

Cell["Type", "ObjectName",
 CellID->1224892054],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      ButtonBox["Type",
       BaseStyle->"Link",
       ButtonData->"paclet:Obtuse/ref/Type"]], "InlineFormula"],
     " is defined in the Combinatorica`context and is an option for many ",
     StyleBox["Combinatorica",
      FontSlant->"Italic"],
     " functions that transform graphs. Depending on the functions it is \
being used in, it can take on values such as ",
     Cell[BoxData[
      ButtonBox["Directed",
       BaseStyle->"Link",
       ButtonData->"paclet:Combinatorica/ref/Directed"]], "InlineFormula"],
     ", ",
     Cell[BoxData[
      ButtonBox["Undirected",
       BaseStyle->"Link",
       ButtonData->"paclet:Combinatorica/ref/Undirected"]], "InlineFormula"],
     ", Simple, All etc. For the function ",
     Cell[BoxData[
      ButtonBox["ConnectionList",
       BaseStyle->"Link",
       ButtonData->"paclet:Obtuse/ref/ConnectionList"]], "InlineFormula"],
     ", ",
     Cell[BoxData[
      ButtonBox["InterpolationCoefficients",
       BaseStyle->"Link",
       ButtonData->"paclet:Obtuse/ref/InterpolationCoefficients"]], 
      "InlineFormula"],
     " and for ",
     Cell[BoxData[
      ButtonBox[
       RowBox[{"Interpolation", ",", " ", 
        RowBox[{"Method", " ", "->", " ", "\"\<ObtuseAngle\>\""}]}],
       BaseStyle->"Link",
       ButtonData->"paclet:Obtuse/ref/InterpolationMethodObtuseAngle"]], 
      "InlineFormula"],
     " in the Obtuse package, the values ",
     Cell[BoxData[
      ButtonBox["Directed",
       BaseStyle->"Link",
       ButtonData->"paclet:Combinatorica/ref/Directed"]], "InlineFormula"],
     " and ",
     Cell[BoxData[
      ButtonBox["Undirected",
       BaseStyle->"Link",
       ButtonData->"paclet:Combinatorica/ref/Undirected"]], "InlineFormula"],
     " are implemented, with ",
     Cell[BoxData[
      ButtonBox["Directed",
       BaseStyle->"Link",
       ButtonData->"paclet:Combinatorica/ref/Directed"]], "InlineFormula"],
     " as default."
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}},
 CellID->982511436]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->932665498],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection",
 CellID->353974265],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Obtuse`\>\"", "]"}], ";"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->556975654],

Cell[BoxData[
 RowBox[{
  RowBox[{"cpts", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "0."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5.", ",", "0."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"6.2", ",", "6.2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"8.", ",", "3."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4.5", ",", "8"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->239715799],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ConnectionList", "[", 
  RowBox[{"DirectedDistanceMatrix", "[", "cpts", "]"}], "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->69409248],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"5", "\[Rule]", "3"}], ",", 
   RowBox[{"3", "\[Rule]", "5"}], ",", 
   RowBox[{"4", "\[Rule]", "3"}], ",", 
   RowBox[{"3", "\[Rule]", "4"}], ",", 
   RowBox[{"4", "\[Rule]", "2"}], ",", 
   RowBox[{"2", "\[Rule]", "4"}], ",", 
   RowBox[{"2", "\[Rule]", "1"}], ",", 
   RowBox[{"1", "\[Rule]", "2"}], ",", 
   RowBox[{"1", "\[Rule]", "3"}], ",", 
   RowBox[{"5", "\[Rule]", "1"}]}], "}"}]], "Output",
 ImageSize->{427, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->2266983]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ConnectionList", "[", 
  RowBox[{
   RowBox[{"DirectedDistanceMatrix", "[", "cpts", "]"}], ",", 
   RowBox[{"Type", "\[Rule]", " ", "Undirected"}]}], "]"}]], "Input",
 CellLabel->"In[4]:=",
 CellID->42158249],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"3", "\[Rule]", "5"}], ",", 
   RowBox[{"3", "\[Rule]", "4"}], ",", 
   RowBox[{"2", "\[Rule]", "4"}], ",", 
   RowBox[{"1", "\[Rule]", "2"}], ",", 
   RowBox[{"1", "\[Rule]", "3"}]}], "}"}]], "Output",
 ImageSize->{217, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->3546159]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SEE ALSO",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "SeeAlsoSection",
 CellID->1255426704],

Cell[TextData[{
 Cell[BoxData[
  StyleBox[
   ButtonBox["ConnectionList",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/ConnectionList"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["ConnectionsToExclude",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/ConnectionsToExclude"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["CutoffRadius",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/CutoffRadius"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["CutoffValue",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/CutoffValue"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["NeighborLevel",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/NeighborLevel"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["SmoothenDistance",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/SmoothenDistance"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox[
    RowBox[{"Interpolation", ",", " ", 
     RowBox[{"Method", " ", "->", " ", "\"\<ObtuseAngle\>\""}]}],
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/InterpolationMethodObtuseAngle"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["DirectedDistanceMatrix",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/DirectedDistanceMatrix"],
   FontFamily->"Verdana"]], "InlineFormula"]
}], "SeeAlso",
 CellID->929782353]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["TUTORIALS",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "TutorialsSection",
 CellID->250839057],

Cell[TextData[ButtonBox["Obtuse Angle Shadowing Networks",
 BaseStyle->"Link",
 ButtonData->
  "paclet:Obtuse/tutorial/Obtuse Angle Shadowing Networks"]], "Tutorials",
 CellID->341631938],

Cell[TextData[ButtonBox["Scattered Point Interpolation",
 BaseStyle->"Link",
 ButtonData->
  "paclet:Obtuse/tutorial/Scattered Point Interpolation"]], "Tutorials",
 CellID->722284863],

Cell[TextData[ButtonBox["Interpolation interactive demo",
 BaseStyle->"Link",
 ButtonData->
  "paclet:Obtuse/tutorial/Interpolation interactive demo"]], "Tutorials",
 CellID->294894982]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["MORE ABOUT",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "MoreAboutSection",
 CellID->38303248],

Cell[TextData[ButtonBox["Obtuse Package",
 BaseStyle->"Link",
 ButtonData->"paclet:Obtuse/guide/ObtusePackage"]], "MoreAbout",
 CellID->170529061]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"Type - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2010, 5, 24, 20, 42, 13.8107318}", "context" -> "Obtuse`", 
    "keywords" -> {}, "index" -> True, "label" -> "Obtuse Paclet Symbol", 
    "language" -> "en", "paclet" -> "Obtuse", "status" -> "None", "summary" -> 
    "Type is defined in the Combinatorica`context and is an option for many \
Combinatorica functions that transform graphs. Depending on the functions it \
is being used in, it can take on values such as Directed, Undirected, Simple, \
All etc. For the function ConnectionList, InterpolationCoefficients and for \
Interpolation, Method -> \"ObtuseAngle\" in the Obtuse package, the values \
Directed and Undirected are implemented, with Directed as default.", 
    "synonyms" -> {}, "title" -> "Type", "type" -> "Symbol", "uri" -> 
    "Obtuse/ref/Type"}, "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> "7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
   StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[7164, 193, 461, 13, 45, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->932665498]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 16096, 491}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[585, 21, 76, 1, 3, "SymbolColorBar"],
Cell[664, 24, 178, 5, 19, "LinkTrail"],
Cell[845, 31, 4030, 89, 46, "AnchorBarGrid",
 CellID->1],
Cell[CellGroupData[{
Cell[4900, 124, 47, 1, 51, "ObjectName",
 CellID->1224892054],
Cell[4950, 127, 2177, 61, 131, "Usage",
 CellID->982511436]
}, Open  ]],
Cell[CellGroupData[{
Cell[7164, 193, 461, 13, 45, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->932665498],
Cell[CellGroupData[{
Cell[7650, 210, 148, 5, 31, "ExampleSection",
 CellID->353974265],
Cell[7801, 217, 133, 4, 28, "Input",
 CellID->556975654],
Cell[7937, 223, 469, 16, 28, "Input",
 CellID->239715799],
Cell[CellGroupData[{
Cell[8431, 243, 161, 4, 28, "Input",
 CellID->69409248],
Cell[8595, 249, 582, 17, 36, "Output",
 CellID->2266983]
}, Open  ]],
Cell[CellGroupData[{
Cell[9214, 271, 232, 6, 28, "Input",
 CellID->42158249],
Cell[9449, 279, 382, 12, 36, "Output",
 CellID->3546159]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[9892, 298, 417, 12, 45, "SeeAlsoSection",
 CellID->1255426704],
Cell[10312, 312, 2447, 80, 31, "SeeAlso",
 CellID->929782353]
}, Open  ]],
Cell[CellGroupData[{
Cell[12796, 397, 419, 12, 45, "TutorialsSection",
 CellID->250839057],
Cell[13218, 411, 187, 4, 17, "Tutorials",
 CellID->341631938],
Cell[13408, 417, 183, 4, 17, "Tutorials",
 CellID->722284863],
Cell[13594, 423, 185, 4, 17, "Tutorials",
 CellID->294894982]
}, Open  ]],
Cell[CellGroupData[{
Cell[13816, 432, 419, 12, 45, "MoreAboutSection",
 CellID->38303248],
Cell[14238, 446, 146, 3, 70, "MoreAbout",
 CellID->170529061]
}, Open  ]],
Cell[14399, 452, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)

