(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     55485,       1733]
NotebookOptionsPosition[     44999,       1445]
NotebookOutlinePosition[     50101,       1537]
CellTagsIndexPosition[     50058,       1534]
WindowTitle->Obtuse Angle Shadowing Networks - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "TutorialColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["Mathematica",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:Obtuse/guide/Obtuse"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["OBTUSE TUTORIAL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Related Tutorials \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Scattered Point Interpolation\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/tutorial/Scattered Point Interpolation"], \
"\<\"Interpolation interactive demo\"\>":>Documentation`HelpLookup[
       "paclet:Obtuse/tutorial/Interpolation interactive demo"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Functions \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"ConnectionList\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/ConnectionList"], "\<\"DirectedDistanceMatrix\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/DirectedDistanceMatrix"], "\<\"ConnectedFrom\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/ConnectedFrom"], "\<\"ConnectedTo\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/ConnectedTo"], "\<\"ConnectedNeighbors\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/ConnectedNeighbors"], "\<\"FriendsCountList\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/FriendsCountList"], "\<\"FriendsFromList\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/FriendsFromList"], "\<\"FriendsList\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/FriendsList"], "\<\"FriendsToList\"\>":>
       Documentation`HelpLookup["paclet:Obtuse/ref/FriendsToList"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Options \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"ConnectionsToExclude\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/ConnectionsToExclude"], "\<\"CutoffRadius\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/CutoffRadius"], "\<\"DistanceFunction\"\>":>
       Documentation`HelpLookup[
       "paclet:ref/DistanceFunction"], "\<\"NeighborLevel\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/NeighborLevel"], "\<\"SmoothenDistance\"\>":>
       Documentation`HelpLookup[
       "paclet:Obtuse/ref/SmoothenDistance"], "\<\"Type\"\>":>
       Documentation`HelpLookup["paclet:Obtuse/ref/Type"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"http://www.familydahl.se/mathematica\"\>":>
       FrontEndExecute[{
         NotebookLocate[{
           URL["http://www.familydahl.se/mathematica/"], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->
         False], {"\<\"Obtuse/tutorial/Obtuse Angle Shadowing Networks\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["Obtuse/tutorial/Obtuse Angle Shadowing Networks"]}, 
            Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://www.familydahl.se/mathematica/Obtuse/tutorial/Obtuse \
Angle Shadowing Networks.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://www.familydahl.se/mathematica/", 
             "Obtuse/tutorial/Obtuse Angle Shadowing Networks", ".html"]], 
           None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell[CellGroupData[{

Cell["Obtuse Angle Shadowing Networks", "Title",
 CellID->509267359],

Cell[TextData[{
 "If you deal with experimental data in any form, it is a very common case \
that you can represent the data as a set of numbered scattered points in an \
abstract point space. You might have a lot of numerical information about the \
cloud of points, but to be able to gain knowledge, you should look for \
structures, patterns and relations in this cloud. You should look for \
outliers, for typical points and point neighborhoods, for shapes like \
threads, sheets and holes, etc. Suppose, that you have such a set of \
scattered points in any or an unknown number of dimensions, and that maybe \
you do not know their coordinates, but you know how to calculate the distance \
between them. To be able to learn anything about your diffuse cloud of \
points, it is very useful to have tools to categorize the relations between \
the points and the shape of the cloud. You can use the distance information \
to define an ",
 StyleBox["obtuse-angle shadowing network",
  FontSlant->"Italic"],
 " connecting nearby points in the set. If you have a function defined on \
this point set, you might use this network to define a ",
 StyleBox["distance-based interpolation function",
  FontSlant->"Italic"],
 " to estimate the function value for a new point of the same kind. Such \
networks and this kind of interpolation should have applications in various \
fields, for example image processing and machine learning. The Obtuse package \
provides ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " functions to find and investigate such networks, and to use them for \
interpolation. This tutorial introduces the network routines. The tutorial ",
 ButtonBox["Scattered Point Interpolation",
  BaseStyle->"Link",
  ButtonData->"paclet:Obtuse/tutorial/Scattered Point Interpolation"],
 " treats the interpolation routines, together with some other interpolation \
methods."
}], "Text",
 CellID->1534169418],

Cell[CellGroupData[{

Cell["The obtuse-angle shadowing rule", "Subsection",
 CellID->481737498],

Cell[TextData[{
 "We want to find a rule that connects nearby points, but leave distant \
points unconnected. Here we introduce a shadowing rule for this task. The \
basic idea for the shadowing rule is that one point ",
 StyleBox["C",
  FontSlant->"Italic"],
 " in the network might stop the point ",
 StyleBox["A",
  FontSlant->"Italic"],
 " from being connected to ",
 StyleBox["B",
  FontSlant->"Italic"],
 ", if there is a connection from ",
 StyleBox["C",
  FontSlant->"Italic"],
 " to ",
 StyleBox["B",
  FontSlant->"Italic"],
 " and if the angle ",
 StyleBox["AC",
  FontSlant->"Italic"],
 " - ",
 StyleBox["CB",
  FontSlant->"Italic"],
 " is strictly obtuse. Note, that no connection between ",
 StyleBox["A",
  FontSlant->"Italic"],
 " and ",
 StyleBox["C",
  FontSlant->"Italic"],
 " is required. Now we have to make this shadowing rule a little bit more \
complicated to sort out some ambiguous cases, and to differentiate between \
directed and undirected connections."
}], "Text",
 CellID->398498709],

Cell[TextData[{
 "If the option ",
 ButtonBox["Type",
  BaseStyle->"Link",
  ButtonData->"paclet:Obtuse/ref/Type"],
 " is set to Directed: The point A in the point set is NOT connected to the \
point B if there exist one other points C in the point set, such that C is \
connected to B and the angle ACB is obtuse. Further, two points in the \
network are NOT connected if the distance between them is smaller or equal to \
",
 Cell[BoxData[
  ButtonBox["SmoothenDistance",
   BaseStyle->"Link",
   ButtonData->"paclet:Obtuse/ref/SmoothenDistance"]], "InlineFormula"],
 " or larger or equal to twice the ",
 Cell[BoxData[
  ButtonBox["CutoffRadius",
   BaseStyle->"Link",
   ButtonData->"paclet:Obtuse/ref/CutoffRadius"]],
  Editable->True,
  GridBoxOptions->{
  GridBoxBackground->{
   "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
    "RowsIndexed" -> {}}}],
 ". \nIf the option ",
 Cell[BoxData[
  ButtonBox["Type",
   BaseStyle->"Link",
   ButtonData->"paclet:Obtuse/ref/Type"]],
  Editable->True,
  GridBoxOptions->{
  GridBoxBackground->{
   "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
    "RowsIndexed" -> {}}}],
 " is set to Undirected: Two points A and B in the point set are NOT \
connected if there exist two other points C and D (maybe identical) in the \
point set, such that C is connected to A and D is connected to B and both the \
angles ACB and ADB are obtuse. Further, two points in the network are NOT \
connected if the distance between them is smaller or equal to ",
 Cell[BoxData[
  ButtonBox[
   ButtonBox["SmoothenDistance",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/SmoothenDistance"],
   BaseStyle->"Link",
   ButtonData->"paclet:Obtuse/ref/SmoothenDistance"]],
  Editable->True,
  GridBoxOptions->{
  GridBoxBackground->{
   "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
    "RowsIndexed" -> {}}}],
 " or larger or equal to twice the ",
 Cell[BoxData[
  ButtonBox["CutoffRadius",
   BaseStyle->"Link",
   ButtonData->"paclet:Obtuse/ref/CutoffRadius"]],
  Editable->True,
  GridBoxOptions->{
  GridBoxBackground->{
   "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
    "RowsIndexed" -> {}}}],
 ". Each connected point pair occurs only once in the returned list, with the \
lowest point number coming first."
}], "Text",
 CellID->536656998],

Cell["", "Text",
 CellID->21540412],

Cell[BoxData[GridBox[{
   {
    ButtonBox[
     RowBox[{"ConnectionList", "[", 
      StyleBox[
       RowBox[{"distmatrix", ",", 
        RowBox[{"(", "options", ")"}]}], "TI",
       FontSlant->"Italic"], "]"}],
     BaseStyle->"Link",
     ButtonData->"paclet:Obtuse/ref/ConnectionList"], Cell[TextData[{
     "gives a list of connected point pairs according to the \
obtuse-angle-shadowing rule and the distance matrix ",
     StyleBox["distmatrix", "TI",
      FontSlant->"Italic"]
    }], "TableText"]},
   {
    ButtonBox[
     RowBox[{"DirectedDistanceMatrix", "[", 
      StyleBox[
       RowBox[{"list", ",", 
        RowBox[{"(", "options", ")"}]}], "TI"], "]"}],
     BaseStyle->"Link",
     ButtonData->"paclet:Obtuse/ref/DirectedDistanceMatrix"], Cell[TextData[{
     "computes the symmetric or asymmetric matrix of distances or \
dissimilarity coefficients between the elements of ",
     StyleBox["list", "TI"],
     "."
    }], "TableText"]}
  }]], "DefinitionBox",
 CellID->2096742444],

Cell["Obtaining a connection list from a distance matrix.", "Caption",
 CellID->1891092685],

Cell[TextData[{
 "Basic example using ",
 Cell[BoxData[
  ButtonBox["ConnectionList",
   BaseStyle->"Link",
   ButtonData->"paclet:Obtuse/ref/ConnectionList"]], "InlineFormula"]
}], "MathCaption",
 CellID->836781195],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Obtuse`\>\"", "]"}], ";"}]], "Input",
 CellLabel->"In[9]:=",
 CellID->139566013],

Cell["Some 2D-points: ", "Text",
 Editable->True,
 CellID->65039657],

Cell[BoxData[
 RowBox[{
  RowBox[{"pts", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "0."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1.", ",", "0."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1.", ",", "1."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1.1", ",", "3."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4.0", ",", "2."}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellLabel->"In[10]:=",
 CellID->72093665],

Cell[TextData[{
 "Calculate the distance matrix, using ",
 Cell[BoxData[
  ButtonBox[
   ButtonBox["DirectedDistanceMatrix",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/DirectedDistanceMatrix"],
   BaseStyle->"Link",
   ButtonData->"paclet:HierarchicalClustering/ref/DistanceMatrix"]]]
}], "Text",
 Editable->True,
 CellID->234188432],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dm", "=", 
  RowBox[{"DirectedDistanceMatrix", "[", "pts", "]"}]}]], "Input",
 CellLabel->"In[11]:=",
 CellID->883122251],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0.`", ",", "1.`", ",", "2.`", ",", "10.21`", ",", "20.`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.`", ",", "0.`", ",", "1.`", ",", "9.01`", ",", "13.`"}], "}"}],
    ",", 
   RowBox[{"{", 
    RowBox[{"2.`", ",", "1.`", ",", "0.`", ",", "4.01`", ",", "10.`"}], "}"}],
    ",", 
   RowBox[{"{", 
    RowBox[{"10.21`", ",", "9.01`", ",", "4.01`", ",", "0.`", ",", "9.41`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"20.`", ",", "13.`", ",", "10.`", ",", "9.41`", ",", "0.`"}], 
    "}"}]}], "}"}]], "Output",
 ImageSize->{494, 33},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[11]=",
 CellID->634619142]
}, Open  ]],

Cell["Use this distance matrix to calculate the connection list:", "Text",
 Editable->True,
 CellID->597404009],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"cldir", "=", 
  RowBox[{"ConnectionList", "[", "dm", "]"}]}]], "Input",
 CellLabel->"In[12]:=",
 CellID->170026918],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"3", "\[Rule]", "2"}], ",", 
   RowBox[{"2", "\[Rule]", "3"}], ",", 
   RowBox[{"2", "\[Rule]", "1"}], ",", 
   RowBox[{"1", "\[Rule]", "2"}], ",", 
   RowBox[{"3", "\[Rule]", "1"}], ",", 
   RowBox[{"1", "\[Rule]", "3"}], ",", 
   RowBox[{"4", "\[Rule]", "3"}], ",", 
   RowBox[{"3", "\[Rule]", "4"}], ",", 
   RowBox[{"5", "\[Rule]", "4"}], ",", 
   RowBox[{"4", "\[Rule]", "5"}], ",", 
   RowBox[{"5", "\[Rule]", "3"}], ",", 
   RowBox[{"3", "\[Rule]", "5"}]}], "}"}]], "Output",
 ImageSize->{511, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[12]=",
 CellID->192247470]
}, Open  ]],

Cell[TextData[{
 "The points ",
 StyleBox["pts", "InlineCode"],
 " does not need to be numerical data, they could also be Boolean data or \
string data. By setting the option ",
 Cell[BoxData[
  ButtonBox["DistanceFunction",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/DistanceFunction"]]],
 " of ",
 Cell[BoxData[
  ButtonBox[
   ButtonBox["DirectedDistanceMatrix",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/DirectedDistanceMatrix"],
   BaseStyle->"Link",
   ButtonData->"paclet:HierarchicalClustering/ref/DistanceMatrix"]], 
  "InlineFormula"],
 ", one can adapt the system to e.g. periodic boundary conditions. "
}], "Text",
 Editable->True,
 CellID->565602693],

Cell[BoxData[
 RowBox[{
  RowBox[{"pts", "=", 
   RowBox[{"{", 
    RowBox[{
    "\"\<The\>\"", ",", "\"\<answer\>\"", ",", "\"\<my\>\"", ",", 
     "\"\<friend\>\"", ",", "\"\<is\>\"", ",", "\"\<blowing\>\"", ",", 
     "\"\<in\>\"", ",", "\"\<the\>\"", ",", "\"\<wind\>\""}], "}"}]}], 
  ";"}]], "Input",
 CellLabel->"In[13]:=",
 CellID->296537120],

Cell[TextData[{
 "Calculate the distance matrix, using the squared elements of the ",
 Cell[BoxData[
  ButtonBox[
   ButtonBox["DirectedDistanceMatrix",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/DirectedDistanceMatrix"],
   BaseStyle->"Link",
   ButtonData->"paclet:HierarchicalClustering/ref/DistanceMatrix"]], 
  "InlineFormula"],
 ". (It is a philosphical question here if one should use the distance matrix \
directly, or if it should be squared.)"
}], "Text",
 Editable->True,
 CellID->648118706],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dm", "=", 
  RowBox[{
   RowBox[{"DirectedDistanceMatrix", "[", "pts", "]"}], "^", "2"}]}]], "Input",
 CellLabel->"In[14]:=",
 CellID->382027605],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0", ",", "25", ",", "9", ",", "25", ",", "9", ",", "49", ",", "9", ",", 
     "1", ",", "16"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "25", ",", "0", ",", "36", ",", "36", ",", "25", ",", "36", ",", "25", 
     ",", "25", ",", "36"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "9", ",", "36", ",", "0", ",", "36", ",", "4", ",", "49", ",", "4", ",", 
     "9", ",", "16"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "25", ",", "36", ",", "36", ",", "0", ",", "25", ",", "36", ",", "16", 
     ",", "25", ",", "9"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "9", ",", "25", ",", "4", ",", "25", ",", "0", ",", "36", ",", "1", ",", 
     "9", ",", "9"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "49", ",", "36", ",", "49", ",", "36", ",", "36", ",", "0", ",", "25", 
     ",", "49", ",", "16"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "9", ",", "25", ",", "4", ",", "16", ",", "1", ",", "25", ",", "0", ",", 
     "9", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "25", ",", "9", ",", "25", ",", "9", ",", "49", ",", "9", ",", 
     "0", ",", "16"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "16", ",", "36", ",", "16", ",", "9", ",", "9", ",", "16", ",", "4", ",", 
     "16", ",", "0"}], "}"}]}], "}"}]], "Output",
 ImageSize->{444, 84},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[14]=",
 CellID->224278881]
}, Open  ]],

Cell[TextData[{
 "Here is an alternative way, using the option ",
 ButtonBox["DistanceFunction",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/DistanceFunction"]
}], "Text",
 Editable->True,
 CellID->99630713],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dm", "=", 
  RowBox[{"DirectedDistanceMatrix", "[", 
   RowBox[{"pts", ",", 
    RowBox[{"DistanceFunction", "\[Rule]", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"EditDistance", "[", 
          RowBox[{"#1", ",", "#2"}], "]"}], "^", "2"}], ")"}], "&"}], 
      ")"}]}]}], "]"}]}]], "Input",
 CellLabel->"In[15]:=",
 CellID->3781868],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0", ",", "25", ",", "9", ",", "25", ",", "9", ",", "49", ",", "9", ",", 
     "1", ",", "16"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "25", ",", "0", ",", "36", ",", "36", ",", "25", ",", "36", ",", "25", 
     ",", "25", ",", "36"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "9", ",", "36", ",", "0", ",", "36", ",", "4", ",", "49", ",", "4", ",", 
     "9", ",", "16"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "25", ",", "36", ",", "36", ",", "0", ",", "25", ",", "36", ",", "16", 
     ",", "25", ",", "9"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "9", ",", "25", ",", "4", ",", "25", ",", "0", ",", "36", ",", "1", ",", 
     "9", ",", "9"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "49", ",", "36", ",", "49", ",", "36", ",", "36", ",", "0", ",", "25", 
     ",", "49", ",", "16"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "9", ",", "25", ",", "4", ",", "16", ",", "1", ",", "25", ",", "0", ",", 
     "9", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "25", ",", "9", ",", "25", ",", "9", ",", "49", ",", "9", ",", 
     "0", ",", "16"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "16", ",", "36", ",", "16", ",", "9", ",", "9", ",", "16", ",", "4", ",", 
     "16", ",", "0"}], "}"}]}], "}"}]], "Output",
 ImageSize->{444, 84},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[15]=",
 CellID->640806406]
}, Open  ]],

Cell["Use this distance matrix to calculate the connection list:", "Text",
 Editable->True,
 CellID->499560952],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"cldir", "=", 
  RowBox[{"ConnectionList", "[", "dm", "]"}]}]], "Input",
 CellLabel->"In[16]:=",
 CellID->169505863],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"8", "\[Rule]", "1"}], ",", 
   RowBox[{"7", "\[Rule]", "5"}], ",", 
   RowBox[{"5", "\[Rule]", "7"}], ",", 
   RowBox[{"1", "\[Rule]", "8"}], ",", 
   RowBox[{"9", "\[Rule]", "7"}], ",", 
   RowBox[{"7", "\[Rule]", "9"}], ",", 
   RowBox[{"7", "\[Rule]", "3"}], ",", 
   RowBox[{"5", "\[Rule]", "3"}], ",", 
   RowBox[{"3", "\[Rule]", "7"}], ",", 
   RowBox[{"3", "\[Rule]", "5"}], ",", 
   RowBox[{"9", "\[Rule]", "4"}], ",", 
   RowBox[{"8", "\[Rule]", "7"}], ",", 
   RowBox[{"8", "\[Rule]", "5"}], ",", 
   RowBox[{"8", "\[Rule]", "3"}], ",", 
   RowBox[{"7", "\[Rule]", "8"}], ",", 
   RowBox[{"7", "\[Rule]", "1"}], ",", 
   RowBox[{"5", "\[Rule]", "8"}], ",", 
   RowBox[{"5", "\[Rule]", "1"}], ",", 
   RowBox[{"4", "\[Rule]", "9"}], ",", 
   RowBox[{"3", "\[Rule]", "8"}], ",", 
   RowBox[{"3", "\[Rule]", "1"}], ",", 
   RowBox[{"1", "\[Rule]", "7"}], ",", 
   RowBox[{"1", "\[Rule]", "5"}], ",", 
   RowBox[{"1", "\[Rule]", "3"}], ",", 
   RowBox[{"9", "\[Rule]", "6"}], ",", 
   RowBox[{"6", "\[Rule]", "9"}], ",", 
   RowBox[{"8", "\[Rule]", "4"}], ",", 
   RowBox[{"8", "\[Rule]", "2"}], ",", 
   RowBox[{"7", "\[Rule]", "2"}], ",", 
   RowBox[{"5", "\[Rule]", "2"}], ",", 
   RowBox[{"4", "\[Rule]", "8"}], ",", 
   RowBox[{"4", "\[Rule]", "1"}], ",", 
   RowBox[{"2", "\[Rule]", "8"}], ",", 
   RowBox[{"2", "\[Rule]", "7"}], ",", 
   RowBox[{"2", "\[Rule]", "5"}], ",", 
   RowBox[{"2", "\[Rule]", "1"}], ",", 
   RowBox[{"1", "\[Rule]", "4"}], ",", 
   RowBox[{"1", "\[Rule]", "2"}], ",", 
   RowBox[{"6", "\[Rule]", "2"}], ",", 
   RowBox[{"4", "\[Rule]", "2"}], ",", 
   RowBox[{"2", "\[Rule]", "6"}], ",", 
   RowBox[{"2", "\[Rule]", "4"}]}], "}"}]], "Output",
 ImageSize->{470, 67},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[16]=",
 CellID->48457992]
}, Open  ]],

Cell[TextData[{
 "If we exclude all the connections here, using the option ",
 Cell[BoxData[
  ButtonBox["ConnectionsToExclude",
   BaseStyle->"Link",
   ButtonData->"paclet:Obtuse/ref/ConnectionsToExclude"]],
  GridBoxOptions->{
  GridBoxDividers->{
   "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
    "Rows" -> {False, True, {False}, False}, "RowsIndexed" -> {}}}],
 ", we get a second level of connections:"
}], "Text",
 Editable->True,
 CellID->137952059],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"cldir", "=", 
  RowBox[{"ConnectionList", "[", 
   RowBox[{"dm", ",", 
    RowBox[{"ConnectionsToExclude", "->", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"8", "\[Rule]", "1"}], ",", 
       RowBox[{"7", "\[Rule]", "5"}], ",", 
       RowBox[{"5", "\[Rule]", "7"}], ",", 
       RowBox[{"1", "\[Rule]", "8"}], ",", 
       RowBox[{"9", "\[Rule]", "7"}], ",", 
       RowBox[{"7", "\[Rule]", "9"}], ",", 
       RowBox[{"7", "\[Rule]", "3"}], ",", 
       RowBox[{"5", "\[Rule]", "3"}], ",", 
       RowBox[{"3", "\[Rule]", "7"}], ",", 
       RowBox[{"3", "\[Rule]", "5"}], ",", 
       RowBox[{"9", "\[Rule]", "4"}], ",", 
       RowBox[{"8", "\[Rule]", "7"}], ",", 
       RowBox[{"8", "\[Rule]", "5"}], ",", 
       RowBox[{"8", "\[Rule]", "3"}], ",", 
       RowBox[{"7", "\[Rule]", "8"}], ",", 
       RowBox[{"7", "\[Rule]", "1"}], ",", 
       RowBox[{"5", "\[Rule]", "8"}], ",", 
       RowBox[{"5", "\[Rule]", "1"}], ",", 
       RowBox[{"4", "\[Rule]", "9"}], ",", 
       RowBox[{"3", "\[Rule]", "8"}], ",", 
       RowBox[{"3", "\[Rule]", "1"}], ",", 
       RowBox[{"1", "\[Rule]", "7"}], ",", 
       RowBox[{"1", "\[Rule]", "5"}], ",", 
       RowBox[{"1", "\[Rule]", "3"}], ",", 
       RowBox[{"9", "\[Rule]", "6"}], ",", 
       RowBox[{"6", "\[Rule]", "9"}], ",", 
       RowBox[{"8", "\[Rule]", "4"}], ",", 
       RowBox[{"8", "\[Rule]", "2"}], ",", 
       RowBox[{"7", "\[Rule]", "2"}], ",", 
       RowBox[{"5", "\[Rule]", "2"}], ",", 
       RowBox[{"4", "\[Rule]", "8"}], ",", 
       RowBox[{"4", "\[Rule]", "1"}], ",", 
       RowBox[{"2", "\[Rule]", "8"}], ",", 
       RowBox[{"2", "\[Rule]", "7"}], ",", 
       RowBox[{"2", "\[Rule]", "5"}], ",", 
       RowBox[{"2", "\[Rule]", "1"}], ",", 
       RowBox[{"1", "\[Rule]", "4"}], ",", 
       RowBox[{"1", "\[Rule]", "2"}], ",", 
       RowBox[{"6", "\[Rule]", "2"}], ",", 
       RowBox[{"4", "\[Rule]", "2"}], ",", 
       RowBox[{"2", "\[Rule]", "6"}], ",", 
       RowBox[{"2", "\[Rule]", "4"}]}], "}"}]}]}], "]"}]}]], "Input",
 CellLabel->"In[11]:=",
 CellID->177746846],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"9", "\[Rule]", "5"}], ",", 
   RowBox[{"5", "\[Rule]", "9"}], ",", 
   RowBox[{"9", "\[Rule]", "8"}], ",", 
   RowBox[{"9", "\[Rule]", "3"}], ",", 
   RowBox[{"9", "\[Rule]", "1"}], ",", 
   RowBox[{"8", "\[Rule]", "9"}], ",", 
   RowBox[{"7", "\[Rule]", "4"}], ",", 
   RowBox[{"4", "\[Rule]", "7"}], ",", 
   RowBox[{"1", "\[Rule]", "9"}], ",", 
   RowBox[{"7", "\[Rule]", "6"}], ",", 
   RowBox[{"6", "\[Rule]", "7"}], ",", 
   RowBox[{"9", "\[Rule]", "2"}], ",", 
   RowBox[{"6", "\[Rule]", "4"}], ",", 
   RowBox[{"4", "\[Rule]", "6"}], ",", 
   RowBox[{"3", "\[Rule]", "2"}], ",", 
   RowBox[{"2", "\[Rule]", "3"}]}], "}"}]], "Output",
 ImageSize->{386, 33},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[11]=",
 CellID->11935702]
}, Open  ]],

Cell[TextData[{
 "We can also use the option ",
 Cell[BoxData[
  ButtonBox["NeighborLevel",
   BaseStyle->"Link",
   ButtonData->"paclet:Obtuse/ref/NeighborLevel"]],
  GridBoxOptions->{
  GridBoxDividers->{
   "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
    "Rows" -> {False, True, {False}, False}, "RowsIndexed" -> {}}}],
 " to obtain the same result:"
}], "Text",
 Editable->True,
 CellID->211654067],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"cldir", "=", 
  RowBox[{"ConnectionList", "[", 
   RowBox[{"dm", ",", 
    RowBox[{"NeighborLevel", "\[Rule]", "2"}]}], "]"}]}]], "Input",
 CellLabel->"In[33]:=",
 CellID->807796127],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"9", "\[Rule]", "5"}], ",", 
   RowBox[{"5", "\[Rule]", "9"}], ",", 
   RowBox[{"9", "\[Rule]", "8"}], ",", 
   RowBox[{"9", "\[Rule]", "3"}], ",", 
   RowBox[{"9", "\[Rule]", "1"}], ",", 
   RowBox[{"8", "\[Rule]", "9"}], ",", 
   RowBox[{"7", "\[Rule]", "4"}], ",", 
   RowBox[{"4", "\[Rule]", "7"}], ",", 
   RowBox[{"1", "\[Rule]", "9"}], ",", 
   RowBox[{"7", "\[Rule]", "6"}], ",", 
   RowBox[{"6", "\[Rule]", "7"}], ",", 
   RowBox[{"9", "\[Rule]", "2"}], ",", 
   RowBox[{"6", "\[Rule]", "4"}], ",", 
   RowBox[{"4", "\[Rule]", "6"}], ",", 
   RowBox[{"3", "\[Rule]", "2"}], ",", 
   RowBox[{"2", "\[Rule]", "3"}]}], "}"}]], "Output",
 ImageSize->{386, 33},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[33]=",
 CellID->289771762]
}, Open  ]],

Cell[TextData[{
 "If we proceed with ",
 Cell[BoxData[
  ButtonBox["NeighborLevel",
   BaseStyle->"Link",
   ButtonData->"paclet:Obtuse/ref/NeighborLevel"]],
  GridBoxOptions->{
  GridBoxDividers->{
   "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
    "Rows" -> {False, True, {False}, False}, "RowsIndexed" -> {}}}],
 " to higher numbers, we will exhaust all connections:"
}], "Text",
 Editable->True,
 CellID->97178238],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"cldir", "=", 
  RowBox[{"ConnectionList", "[", 
   RowBox[{"dm", ",", 
    RowBox[{"NeighborLevel", "\[Rule]", "3"}]}], "]"}]}]], "Input",
 CellLabel->"In[34]:=",
 CellID->5627875],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"3", "\[Rule]", "9"}], ",", 
   RowBox[{"5", "\[Rule]", "4"}], ",", 
   RowBox[{"4", "\[Rule]", "5"}], ",", 
   RowBox[{"6", "\[Rule]", "5"}], ",", 
   RowBox[{"5", "\[Rule]", "6"}], ",", 
   RowBox[{"4", "\[Rule]", "3"}], ",", 
   RowBox[{"2", "\[Rule]", "9"}], ",", 
   RowBox[{"6", "\[Rule]", "8"}], ",", 
   RowBox[{"6", "\[Rule]", "3"}], ",", 
   RowBox[{"6", "\[Rule]", "1"}]}], "}"}]], "Output",
 ImageSize->{427, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[34]=",
 CellID->600419864]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"cldir", "=", 
  RowBox[{"ConnectionList", "[", 
   RowBox[{"dm", ",", 
    RowBox[{"NeighborLevel", "\[Rule]", "4"}]}], "]"}]}]], "Input",
 CellLabel->"In[35]:=",
 CellID->1099955],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"3", "\[Rule]", "4"}], ",", 
   RowBox[{"8", "\[Rule]", "6"}], ",", 
   RowBox[{"3", "\[Rule]", "6"}], ",", 
   RowBox[{"1", "\[Rule]", "6"}]}], "}"}]], "Output",
 ImageSize->{175, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[35]=",
 CellID->147045990]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"cldir", "=", 
  RowBox[{"ConnectionList", "[", 
   RowBox[{"dm", ",", 
    RowBox[{"NeighborLevel", "\[Rule]", "5"}]}], "]"}]}]], "Input",
 CellLabel->"In[36]:=",
 CellID->326663735],

Cell[BoxData[
 RowBox[{"{", "}"}]], "Output",
 ImageSize->{18, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[36]=",
 CellID->55034079]
}, Open  ]],

Cell[BoxData[GridBox[{
   {Cell["option name", "TableHeader"], Cell["default value", "TableHeader"], 
    " "},
   {
    ButtonBox["ConnectionsToExclude",
     BaseStyle->"Link",
     ButtonData->"paclet:Obtuse/ref/ConnectionsToExclude"], 
    RowBox[{"{", "}"}], Cell[
    "connections to exclude in the evaluation ", "TableText"]},
   {
    ButtonBox["CutoffRadius",
     BaseStyle->"Link",
     ButtonData->"paclet:Obtuse/ref/CutoffRadius"], 
    ButtonBox["Infinity",
     BaseStyle->"Link",
     ButtonData->"paclet:ref/Infinity"], Cell[TextData[{
     "points separated by twice the ",
     Cell[BoxData[
      ButtonBox["CutoffRadius",
       BaseStyle->"Link",
       ButtonData->"paclet:Obtuse/ref/CutoffRadius"]], "InlineFormula"],
     " or more are not connected"
    }], "TableText"]},
   {
    ButtonBox["NeighborLevel",
     BaseStyle->"Link",
     ButtonData->"paclet:Obtuse/ref/NeighborLevel"], "1", Cell[TextData[{
     "all connected points for lower values of ",
     Cell[BoxData[
      ButtonBox["NeighborLevel",
       BaseStyle->"Link",
       ButtonData->"paclet:Obtuse/ref/NeighborLevel"]], "InlineFormula"],
     " are excluded in the evaluation"
    }], "TableText"]},
   {
    ButtonBox["SmoothenDistance",
     BaseStyle->"Link",
     ButtonData->"paclet:Obtuse/ref/SmoothenDistance"], "0.", Cell[TextData[
    Cell[BoxData[Cell[TextData[{
      "points separated by ",
      Cell[BoxData[
       ButtonBox["SmoothenDistance",
        BaseStyle->"Link",
        ButtonData->"paclet:Obtuse/ref/SmoothenDistance"]], "InlineFormula"],
      " or less are not connected"
     }], "TableText",
      FontSize->10]],
     Editable->True,
     GridBoxOptions->{
     GridBoxBackground->{
      "Columns" -> {{None}}, "ColumnsIndexed" -> {}, 
       "Rows" -> {
        None, None, None, None, None, None, None, None, None, None, None, 
         None, None, None, None, None, None, None, None, None, None, None, {
         None}}, "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Rows" -> {{
         True, True, True, True, True, True, True, True, True, True, True, 
          True, True, True, True, True, True, True, True, True, True, True, 
          True, True}}}}]], "TableText"]},
   {
    ButtonBox["Type",
     BaseStyle->"Link",
     ButtonData->"paclet:Obtuse/ref/Type"], 
    ButtonBox["Directed",
     BaseStyle->"Link",
     ButtonData->"paclet:Combinatorica/ref/Directed"], Cell[TextData[{
     "the connection graph can be ",
     Cell[BoxData[
      ButtonBox["Directed",
       BaseStyle->"Link",
       ButtonData->"paclet:Combinatorica/ref/Directed"]], "InlineFormula"],
     " or ",
     Cell[BoxData[
      ButtonBox["Undirected",
       BaseStyle->"Link",
       ButtonData->"paclet:Combinatorica/ref/Undirected"]], "InlineFormula"]
    }], "TableText"]}
  }]], "DefinitionBox3Col",
 GridBoxOptions->{
 GridBoxDividers->{
  "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
   "Rows" -> {False, True, {False}, False}, "RowsIndexed" -> {}}},
 CellID->2017],

Cell[TextData[{
 "Options for ",
 Cell[BoxData[
  ButtonBox["ConnectionList",
   BaseStyle->"Link",
   ButtonData->"paclet:Obtuse/ref/ConnectionList"]], "InlineFormula"]
}], "Caption",
 CellID->96693435],

Cell[TextData[{
 "More examples can be found in the help for ",
 Cell[BoxData[
  ButtonBox["ConnectionList",
   BaseStyle->"Link",
   ButtonData->"paclet:Obtuse/ref/ConnectionList"]], "InlineFormula"],
 "."
}], "Text",
 CellID->59754064],

Cell[BoxData[GridBox[{
   {Cell["option name", "TableHeader"], Cell["default value", "TableHeader"], 
    " "},
   {
    ButtonBox["DistanceFunction",
     BaseStyle->"Link",
     ButtonData->"paclet:ref/DistanceFunction"], 
    ButtonBox["Automatic",
     BaseStyle->"Link",
     ButtonData->"paclet:ref/Automatic"], Cell["\<\
distance function to use in calculation of the distance matrix and the \
calculation of the distance from the interpolation point to the control \
points. Note, that the function here is expected to return the square of the \
distance. The distance function might be asymmeric \
\>", "TableText"]}
  }]], "DefinitionBox3Col",
 GridBoxOptions->{
 GridBoxDividers->{
  "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
   "Rows" -> {False, True, {False}, False}, "RowsIndexed" -> {}}},
 CellID->195436205],

Cell[TextData[{
 "Options for ",
 Cell[BoxData[
  ButtonBox[
   ButtonBox["DirectedDistanceMatrix",
    BaseStyle->"Link",
    ButtonData->"paclet:Obtuse/ref/DirectedDistanceMatrix"],
   BaseStyle->"Link",
   ButtonData->"paclet:HierarchicalClustering/ref/DistanceMatrix"]], 
  "InlineFormula"]
}], "Caption",
 CellID->19627721],

Cell[BoxData[GridBox[{
   {
    ButtonBox[
     RowBox[{"ConnectedFrom", "[", 
      RowBox[{
       StyleBox["j", "TI"], ",", 
       StyleBox["conlist", "TI"]}], "]"}],
     BaseStyle->"Link",
     ButtonData->"paclet:Obtuse/ref/ConnectedFrom"], Cell[TextData[{
     "gives a list of numbers for those points which are connected ",
     StyleBox["from",
      FontWeight->"Bold"],
     " point number ",
     StyleBox["j", "TI"],
     " according to the connection list ",
     StyleBox["conlist", "TI"],
     ". "
    }], "TableText"]},
   {
    ButtonBox[
     RowBox[{"ConnectedTo", "[", 
      StyleBox[
       RowBox[{"j", ",", "conlist"}], "TI"], "]"}],
     BaseStyle->"Link",
     ButtonData->"paclet:Obtuse/ref/ConnectedTo"], Cell[TextData[{
     "gives a list of numbers for those points which are connected ",
     StyleBox["to",
      FontWeight->"Bold"],
     " point number",
     StyleBox[" j", "TI"],
     " according to the connection list ",
     StyleBox["conlist", "TI"],
     ". "
    }], "TableText"]},
   {
    ButtonBox[
     RowBox[{"ConnectedNeighbors", "[", 
      StyleBox[
       RowBox[{"j", ",", "conlist"}],
       FontFamily->"Times",
       FontSlant->"Italic"], "]"}],
     BaseStyle->"Link",
     ButtonData->"paclet:Obtuse/ref/ConnectedNeighbors"], Cell[TextData[{
     "gives a list of numbers for those points which are connected ",
     StyleBox["from or to",
      FontWeight->"Bold"],
     " point number ",
     StyleBox["j",
      FontSlant->"Italic"],
     " according to the connection list ",
     StyleBox["conlist", "TI"],
     ". "
    }], "TableText"]},
   {
    ButtonBox[
     RowBox[{"FriendCountList", "[", 
      StyleBox["conlist",
       FontFamily->"Times",
       FontSlant->"Italic"], "]"}],
     BaseStyle->"Link",
     ButtonData->"paclet:Obtuse/ref/FriendCountList"], Cell[TextData[{
     "sorts the points according to how many connections they have in ",
     StyleBox["conlist", "TI",
      FontFamily->"Times",
      FontSize->12,
      FontWeight->"Plain",
      FontSlant->"Italic"],
     StyleBox[".",
      FontFamily->"Times",
      FontSize->12,
      FontWeight->"Plain",
      FontSlant->"Italic"]
    }], "TableText"]},
   {
    ButtonBox[
     RowBox[{"FriendsFromList", "[", 
      StyleBox["conlist",
       FontFamily->"Times",
       FontSlant->"Italic"], "]"}],
     BaseStyle->"Link",
     ButtonData->"paclet:Obtuse/ref/FriendsFromList"], Cell[TextData[{
     "sorts the points according to which points they have connections ",
     StyleBox["from",
      FontWeight->"Bold"],
     " and returns a list of list of numbers"
    }], "TableText"]},
   {
    ButtonBox[
     RowBox[{"FriendsList", "[", 
      StyleBox["conlist", "TI",
       FontSlant->"Italic"], "]"}],
     BaseStyle->"Link",
     ButtonData->"paclet:Obtuse/ref/FriendsList"], Cell[TextData[{
     "sorts the points according to which points they have connections ",
     StyleBox["from or to",
      FontWeight->"Bold"],
     " and returns a list of list of numbers"
    }], "TableText"]},
   {
    ButtonBox[
     RowBox[{"FriendsToList", "[", 
      StyleBox["conlist", "TI",
       FontSlant->"Italic"], "]"}],
     BaseStyle->"Link",
     ButtonData->"paclet:Obtuse/ref/FriendsToList"], Cell[TextData[Cell[
    BoxData[Cell[TextData[{
      StyleBox[
      "sorts the points according to which points they have connections ",
       FontSize->9],
      StyleBox["to",
       FontSize->9,
       FontWeight->"Bold"],
      StyleBox[" and returns a list of list of numbers",
       FontSize->9]
     }], "TableText"]]]], "TableText"]}
  }]], "DefinitionBox",
 CellID->520898736],

Cell["Utilities for investigation of a connection list.", "Caption",
 CellID->134725877],

Cell["Example using the utility functions", "MathCaption",
 CellID->55116695],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Obtuse`\>\"", "]"}], ";"}]], "Input",
 CellLabel->"In[7]:=",
 CellID->49291479],

Cell["The same 2D-points as above: ", "Text",
 Editable->True,
 CellID->3872110],

Cell[BoxData[
 RowBox[{
  RowBox[{"pts", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.", ",", "0."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5.", ",", "0."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"6.2", ",", "6.2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"8.", ",", "3."}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4.5", ",", "8"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellLabel->"In[13]:=",
 CellID->10587704],

Cell["The connection list:", "Text",
 Editable->True,
 CellID->103314901],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"cldir", "=", 
  RowBox[{"ConnectionList", "[", 
   RowBox[{"DistanceMatrix", "[", "pts", "]"}], "]"}]}]], "Input",
 CellLabel->"In[14]:=",
 CellID->167228369],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"5", "\[Rule]", "3"}], ",", 
   RowBox[{"3", "\[Rule]", "5"}], ",", 
   RowBox[{"4", "\[Rule]", "3"}], ",", 
   RowBox[{"3", "\[Rule]", "4"}], ",", 
   RowBox[{"4", "\[Rule]", "2"}], ",", 
   RowBox[{"2", "\[Rule]", "4"}], ",", 
   RowBox[{"2", "\[Rule]", "1"}], ",", 
   RowBox[{"1", "\[Rule]", "2"}], ",", 
   RowBox[{"1", "\[Rule]", "3"}], ",", 
   RowBox[{"5", "\[Rule]", "1"}]}], "}"}]], "Output",
 ImageSize->{427, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[14]=",
 CellID->343223532]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ConnectedFrom", "[", 
  RowBox[{"1", ",", "cldir"}], "]"}]], "Input",
 CellLabel->"In[15]:=",
 CellID->326134264],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"2", ",", "3"}], "}"}]], "Output",
 ImageSize->{43, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[15]=",
 CellID->75644540]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ConnectedTo", "[", 
  RowBox[{"1", ",", "cldir"}], "]"}]], "Input",
 CellLabel->"In[16]:=",
 CellID->75335808],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"2", ",", "5"}], "}"}]], "Output",
 ImageSize->{43, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[16]=",
 CellID->47087479]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ConnectedNeighbors", "[", 
  RowBox[{"1", ",", "cldir"}], "]"}]], "Input",
 CellLabel->"In[17]:=",
 CellID->28880832],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"2", ",", "3", ",", "5"}], "}"}]], "Output",
 ImageSize->{61, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[17]=",
 CellID->349862839]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FriendCountList", "[", "cldir", "]"}]], "Input",
 CellLabel->"In[18]:=",
 CellID->207913096],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"2", ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "4", ",", "5"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "3"}], "}"}]}], "}"}]}], "}"}]], "Output",
 ImageSize->{189, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[18]=",
 CellID->155680515]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FriendsFromList", "[", "cldir", "]"}]], "Input",
 CellLabel->"In[19]:=",
 CellID->102167039],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"2", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "3"}], "}"}]}], "}"}]], "Output",
 ImageSize->{257, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[19]=",
 CellID->266578528]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FriendsList", "[", "cldir", "]"}]], "Input",
 CellLabel->"In[20]:=",
 CellID->153917810],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"2", ",", "3", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "4", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "3"}], "}"}]}], "}"}]], "Output",
 ImageSize->{293, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[20]=",
 CellID->250490161]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FriendsToList", "[", "cldir", "]"}]], "Input",
 CellLabel->"In[21]:=",
 CellID->705854628],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"2", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "4", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "3"}], "}"}], ",", 
   RowBox[{"{", "3", "}"}]}], "}"}]], "Output",
 ImageSize->{257, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[21]=",
 CellID->40242949]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["MORE ABOUT", "TutorialMoreAboutSection",
 CellID->23220180],

Cell[TextData[{
 "Copyright Ingolf Dahl 2010, ingolf.dahl@telia.com, ",
 ButtonBox["http://www.familydahl.se/mathematica",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.familydahl.se/mathematica"], None}]
}], "TutorialMoreAbout",
 CellID->78426474]
}, Open  ]],

Cell[CellGroupData[{

Cell["RELATED TUTORIALS", "RelatedTutorialsSection",
 CellID->415694126],

Cell[TextData[ButtonBox["Scattered Point Interpolation",
 BaseStyle->"Link",
 ButtonData->
  "paclet:Obtuse/tutorial/Scattered Point Interpolation"]], "RelatedTutorials",
 CellID->806871991],

Cell[TextData[ButtonBox["Interpolation interactive demo",
 BaseStyle->"Link",
 ButtonData->
  "paclet:Obtuse/tutorial/Interpolation interactive demo"]], \
"RelatedTutorials",
 CellID->96903843]
}, Open  ]]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{49, Automatic}, {Automatic, 70}},
WindowTitle->"Obtuse Angle Shadowing Networks - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2010, 5, 23, 20, 23, 40.5261738}", "context" -> "Obtuse`", 
    "keywords" -> {
     "Obtuse Angle Shadowing", "Obtuse Angle", "Shadowing", "Distance matrix",
       "Connected Points", "Network", "Neighbors", "Scattered Points", 
      "n-dimensional", "Multidimensional", "connection", "neighborhood", 
      "correlated points", "associated", "point set", "distance-based"}, 
    "index" -> True, "label" -> "Obtuse Tutorial", "language" -> "en", 
    "paclet" -> "Obtuse", "status" -> "None", "summary" -> 
    "If you deal with experimental data in any form, it is a very common case \
that you can represent the data as a set of numbered scattered points in an \
abstract point space. You might have a lot of numerical information about the \
cloud of points, but to be able to gain knowledge, you should look for \
structures, patterns and relations in this cloud. You should look for \
outliers, for typical points and point neighborhoods, for shapes like \
threads, sheets and holes, etc. Suppose, that you have such a set of \
scattered points in any or an unknown number of dimensions, and that maybe \
you do not know their coordinates, but you know how to calculate the distance \
between them. To be able to learn anything about your diffuse cloud of \
points, it is very useful to have tools to categorize the relations between \
the points and the shape of the cloud. You can use the distance information \
to define an obtuse-angle shadowing network connecting nearby points in the \
set. If you have a function defined on this point set, you might use this \
network to define a distance-based interpolation function to estimate the \
function value for a new point of the same kind. Such networks and this kind \
of interpolation should have applications in various fields, for example \
image processing and machine learning. The Obtuse package provides \
Mathematica functions to find and investigate such networks, and to use them \
for interpolation. This tutorial introduces the network routines. The \
tutorial Scattered Point Interpolation treats the interpolation routines, \
together with some other interpolation methods. We want to find a rule that \
connects nearby points, but leave distant points unconnected. Here we \
introduce a shadowing rule for this task. The basic idea for the shadowing \
rule is that one point C in the network might stop the point A from being \
connected to B, if there is a connection from C to B and if the angle AC - CB \
is strictly obtuse. Note, that no connection between A and C is required. Now \
we have to make this shadowing rule a little bit more complicated to sort out \
some ambiguous cases, and to differentiate between directed and undirected \
connections. If the option Type is set to Directed: The point A in the point \
set is NOT connected to the point B if there exist one other points C in the \
point set, such that C is connected to B and the angle ACB is obtuse. \
Further, two points in the network are NOT connected if the distance between \
them is smaller or equal to SmoothenDistance or larger or equal to twice the \
CutoffRadius. If the option Type is set to Undirected: Two points A and B in \
the point set are NOT connected if there exist two other points C and D \
(maybe identical) in the point set, such that C is connected to A and D is \
connected to B and both the angles ACB and ADB are obtuse. Further, two \
points in the network are NOT connected if the distance between them is \
smaller or equal to SmoothenDistance or larger or equal to twice the \
CutoffRadius. Each connected point pair occurs only once in the returned \
list, with the lowest point number coming first.", "synonyms" -> {}, "title" -> 
    "Obtuse Angle Shadowing Networks", "type" -> "Tutorial", "uri" -> 
    "Obtuse/tutorial/Obtuse Angle Shadowing Networks"}, 
  "SearchTextTranslated" -> ""},
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"], 
   Cell[
    StyleData["TutorialMoreAboutSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}], 
   Cell[
    StyleData["RelatedTutorialsSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}], 
   Cell[
    StyleData["TutorialRelatedLinksSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}]}, Visible -> False, 
  FrontEndVersion -> "7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
   StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[612, 21, 78, 1, 3, "TutorialColorBar"],
Cell[693, 24, 178, 5, 19, "LinkTrail"],
Cell[874, 31, 5081, 113, 46, "AnchorBarGrid",
 CellID->1],
Cell[CellGroupData[{
Cell[5980, 148, 68, 1, 51, "Title",
 CellID->509267359],
Cell[6051, 151, 1921, 34, 350, "Text",
 CellID->1534169418],
Cell[CellGroupData[{
Cell[7997, 189, 73, 1, 51, "Subsection",
 CellID->481737498],
Cell[8073, 192, 1014, 34, 150, "Text",
 CellID->398498709],
Cell[9090, 228, 2371, 64, 226, "Text",
 CellID->536656998],
Cell[11464, 294, 35, 1, 30, "Text",
 CellID->21540412],
Cell[11502, 297, 1003, 29, 101, "DefinitionBox",
 CellID->2096742444],
Cell[12508, 328, 91, 1, 31, "Caption",
 CellID->1891092685],
Cell[12602, 331, 216, 7, 32, "MathCaption",
 CellID->836781195],
Cell[12821, 340, 133, 4, 28, "Input",
 CellID->139566013],
Cell[12957, 346, 68, 2, 30, "Text",
 CellID->65039657],
Cell[13028, 350, 468, 16, 28, "Input",
 CellID->72093665],
Cell[13499, 368, 348, 11, 31, "Text",
 CellID->234188432],
Cell[CellGroupData[{
Cell[13872, 383, 145, 4, 28, "Input",
 CellID->883122251],
Cell[14020, 389, 727, 22, 54, "Output",
 CellID->634619142]
}, Open  ]],
Cell[14762, 414, 111, 2, 30, "Text",
 CellID->597404009],
Cell[CellGroupData[{
Cell[14898, 420, 139, 4, 28, "Input",
 CellID->170026918],
Cell[15040, 426, 665, 19, 36, "Output",
 CellID->192247470]
}, Open  ]],
Cell[15720, 448, 685, 21, 74, "Text",
 CellID->565602693],
Cell[16408, 471, 350, 10, 28, "Input",
 CellID->296537120],
Cell[16761, 483, 517, 14, 72, "Text",
 CellID->648118706],
Cell[CellGroupData[{
Cell[17303, 501, 169, 5, 28, "Input",
 CellID->382027605],
Cell[17475, 508, 1491, 43, 105, "Output",
 CellID->224278881]
}, Open  ]],
Cell[18981, 554, 210, 7, 30, "Text",
 CellID->99630713],
Cell[CellGroupData[{
Cell[19216, 565, 404, 13, 28, "Input",
 CellID->3781868],
Cell[19623, 580, 1491, 43, 105, "Output",
 CellID->640806406]
}, Open  ]],
Cell[21129, 626, 111, 2, 30, "Text",
 CellID->499560952],
Cell[CellGroupData[{
Cell[21265, 632, 139, 4, 28, "Input",
 CellID->169505863],
Cell[21407, 638, 1864, 49, 88, "Output",
 CellID->48457992]
}, Open  ]],
Cell[23286, 690, 463, 13, 51, "Text",
 CellID->137952059],
Cell[CellGroupData[{
Cell[23774, 707, 2089, 50, 101, "Input",
 CellID->177746846],
Cell[25866, 759, 824, 23, 54, "Output",
 CellID->11935702]
}, Open  ]],
Cell[26705, 785, 407, 13, 31, "Text",
 CellID->211654067],
Cell[CellGroupData[{
Cell[27137, 802, 206, 6, 28, "Input",
 CellID->807796127],
Cell[27346, 810, 825, 23, 54, "Output",
 CellID->289771762]
}, Open  ]],
Cell[28186, 836, 423, 13, 31, "Text",
 CellID->97178238],
Cell[CellGroupData[{
Cell[28634, 853, 204, 6, 28, "Input",
 CellID->5627875],
Cell[28841, 861, 585, 17, 36, "Output",
 CellID->600419864]
}, Open  ]],
Cell[CellGroupData[{
Cell[29463, 883, 204, 6, 28, "Input",
 CellID->1099955],
Cell[29670, 891, 345, 11, 36, "Output",
 CellID->147045990]
}, Open  ]],
Cell[CellGroupData[{
Cell[30052, 907, 206, 6, 28, "Input",
 CellID->326663735],
Cell[30261, 915, 175, 6, 36, "Output",
 CellID->55034079]
}, Open  ]],
Cell[30451, 924, 3003, 83, 231, "DefinitionBox3Col",
 CellID->2017],
Cell[33457, 1009, 203, 7, 70, "Caption",
 CellID->96693435],
Cell[33663, 1018, 237, 8, 70, "Text",
 CellID->59754064],
Cell[33903, 1028, 830, 20, 70, "DefinitionBox3Col",
 CellID->195436205],
Cell[34736, 1050, 328, 11, 70, "Caption",
 CellID->19627721],
Cell[35067, 1063, 3635, 116, 70, "DefinitionBox",
 CellID->520898736],
Cell[38705, 1181, 88, 1, 70, "Caption",
 CellID->134725877],
Cell[38796, 1184, 77, 1, 70, "MathCaption",
 CellID->55116695],
Cell[38876, 1187, 132, 4, 70, "Input",
 CellID->49291479],
Cell[39011, 1193, 80, 2, 70, "Text",
 CellID->3872110],
Cell[39094, 1197, 468, 16, 70, "Input",
 CellID->10587704],
Cell[39565, 1215, 73, 2, 70, "Text",
 CellID->103314901],
Cell[CellGroupData[{
Cell[39663, 1221, 182, 5, 70, "Input",
 CellID->167228369],
Cell[39848, 1228, 585, 17, 70, "Output",
 CellID->343223532]
}, Open  ]],
Cell[CellGroupData[{
Cell[40470, 1250, 137, 4, 70, "Input",
 CellID->326134264],
Cell[40610, 1256, 203, 7, 70, "Output",
 CellID->75644540]
}, Open  ]],
Cell[CellGroupData[{
Cell[40850, 1268, 134, 4, 70, "Input",
 CellID->75335808],
Cell[40987, 1274, 203, 7, 70, "Output",
 CellID->47087479]
}, Open  ]],
Cell[CellGroupData[{
Cell[41227, 1286, 141, 4, 70, "Input",
 CellID->28880832],
Cell[41371, 1292, 214, 7, 70, "Output",
 CellID->349862839]
}, Open  ]],
Cell[CellGroupData[{
Cell[41622, 1304, 116, 3, 70, "Input",
 CellID->207913096],
Cell[41741, 1309, 419, 15, 70, "Output",
 CellID->155680515]
}, Open  ]],
Cell[CellGroupData[{
Cell[42197, 1329, 116, 3, 70, "Input",
 CellID->102167039],
Cell[42316, 1334, 480, 17, 70, "Output",
 CellID->266578528]
}, Open  ]],
Cell[CellGroupData[{
Cell[42833, 1356, 112, 3, 70, "Input",
 CellID->153917810],
Cell[42948, 1361, 500, 17, 70, "Output",
 CellID->250490161]
}, Open  ]],
Cell[CellGroupData[{
Cell[43485, 1383, 114, 3, 70, "Input",
 CellID->705854628],
Cell[43602, 1388, 464, 16, 70, "Output",
 CellID->40242949]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[44115, 1410, 65, 1, 70, "TutorialMoreAboutSection",
 CellID->23220180],
Cell[44183, 1413, 264, 7, 70, "TutorialMoreAbout",
 CellID->78426474]
}, Open  ]],
Cell[CellGroupData[{
Cell[44484, 1425, 72, 1, 70, "RelatedTutorialsSection",
 CellID->415694126],
Cell[44559, 1428, 190, 4, 70, "RelatedTutorials",
 CellID->806871991],
Cell[44752, 1434, 193, 5, 70, "RelatedTutorials",
 CellID->96903843]
}, Open  ]]
}, Open  ]],
Cell[44972, 1443, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)
